Bienvenue dans l'aide de MacImage

Présentation générale
MacImage est un programme extrêmement simple d'emploi et vous devriez pouvoir en tirer pleinement parti sans devoir recourir sans cesse à la documentation. Cependant, afin de vous aider dans vos premiers pas, nous avons regroupé ci-dessous quelques informations qui pourraient vous être utiles.

Les fonctions de MacImage
Page consacrée aux fonctions de MacImage, et d'abord à ses différents modes de travail. Présentation de son écran principal de travail et des éléments affichés.

Utilisation de l'aide
Page présentant les principes du système d'aide, afin de vous permettre de vous y retrouver dans les meilleures conditions.


Installation de MacImage

MacImage s'installe à l'aide d'un programme classique d'installation et tourne sous toutes les versions de Windows (95, 98 et ME, NT4, 2000 et XP).

Erreur à propos de OLEAUT32.DLL lors du lancement sous Windows 95/98
Lorsque vous lancez MacImage sous Windows 95 ou Windows 98, vous obtenez un message d'erreur disant que MacImage est lié à une exportation manquante OLEAUT32.DLL:VarNot.
Cela se produit parce que le composant DCOM n'a pas été mis à jour au dernier niveau.
Vous devez donc le faire, en téléchargeant les programmes de mise à jour à l'aide des liens suivants :
Pour Windows 98
Pour Windows 95.
Le programme de mise à jour pour Windows 95 est également présent sur le CD-ROM de distribution, dans un dossier appelé DCOM. Par contre, le programme de mise à jour pour Windows 98 ne peut pas être redistribué librement, si bien que nous n'avons pas pu l'inclure. Il faut le télécharger depuis le site de Microsoft.


Les fonctions de MacImage

Introduction
MacImage est un logiciel de création de CD-ROM Macintosh sur un PC.
D'abord, ces CD-ROM peuvent être des CD-ROM hybrides (c'est-à-dire contenant une partie Macintosh et une partie Windows, ou plus exactement HFS/HFS+ d'une part et ISO 9660/Joliet). C'est le mode de fonctionnement par défaut et c'est aussi le plus utilisé.
Disons par exemple que vous voulez diffuser des photographies auprès de personnes dont vous ne connaissez pas l'équipement informatique. Vous souhaitez donc produire un CD-ROM qui soit lisible sur les deux plates-formes avec toutes les fonctionnalités qu'offre chacun des systèmes d'exploitation.
Deuxièmement, MacImage permet également de produire de simples CD-ROM HFS/HFS+ (volumes purement HFS/HFS+). La situation classique serait celle où vous devez livrer une maquette et où vous souhaitez que le destinataire (qui paye, par exemple) reçoive un CD-ROM qui se comportera sur sa machine exactement comme il s'y attend.
Enfin, MacImage peut produire des CD-ROM ISO avec extensions Apple. Voir ci-dessous pour plus d'informations.

Modes de travail de MacImage
MacImage offre trois modes de fonctionnement. Par défaut, il fonctionne en Mode Projet. Vous ne devez passer en Mode Partition ou en Mode ISO+ que si vous avez des raisons spécifiques de le faire, à savoir si vous avez besoin de certaines des spécificités de ces formats.

  • Mode projet (mode par défaut) -- Les grandes étapes sont les suivantes : création d'une liste (un projet) des fichiers à inclure dans le CD-ROM, ceux-ci étant organisés en sous-dossiers, etc., puis production (compilation) d'une image hybride ISO/HFS où les fichiers de données sont partagés (ou plus exactement peuvent l'être ou non), si bien qu'ils ne sont copiés qu'une seule fois sur le support, et enfin gravure de cette image à l'aide de votre logiciel de gravure préféré.
    Les CD-ROM produits dans ce mode peuvent être lus sur un PC (ou sur tout autre ordinateur acceptant les CD-ROM à la norme ISO 9660). Les utilisateurs accèdent alors aux fichiers qui sont inclus dans la Vue ISO. Ces CD-ROM peuvent également être lus sur un Macintosh (en présentant toutes les caractéristiques d'un véritable volume Macintosh, comme la possibilité de lancer des applications, etc.). Les utilisateurs de Macintosh verront du CD-ROM les fichiers qui sont placés dans la Vue HFS.
  • Mode partition -- Le principe est de créer une partition Macintosh virtuelle, l'image finale pouvant être gravée directement, pour donner un CD-ROM purement Macintosh, ou éventuellement superposée à une image ISO, pour donner un disque hybride où les fichiers ne sont pas partagés.
  • Mode ISO + Extensions Apple -- Comme dans le cas du mode Projet, vous créez une liste des fichiers à inclure dans le CD-ROM, organisés en sous-dossiers, etc. Les fichiers Macintosh placés dans ce projet conservent leurs deux branches, leur signature, etc., si bien qu'ils seront reconnus sans difficulté par les utilisateurs de Macintosh. Le projet est lui aussi compilé pour produire une image, que vous gravez.

MacImage et la gravure
MacImage n'est pas un logiciel de gravure, c'est-à-dire qu'il ne se charge pas de piloter votre graveur de CD-ROM pour produire le CD-ROM final. Vous devez utiliser votre logiciel de gravure favori pour placer les images produites sur un CD-ROM. Tous les grands logiciels offrent une fonction de gravure d'images.

Interface utilisateur de MacImage
MacImage adopte une interface classique à deux volets :

Voir la copie d'écran.

Nous avons à gauche une vue arborescente permettant de naviguer aisément dans le volume et à droite une vue en liste du dossier courant. Le volet de gauche (vue arborescente) peut être réduit et même refermé pour laisser plus de place à la vue en liste (volet de droite). Lorsque le volet de gauche est refermé, il reste possible de le rouvrir en cliquant sur le bord gauche de la fenêtre principale et en tirant la souris vers la droite.
MacImage offre toutes les fonctions nécessaires pour manipuler le volume et ses données, en fonction du mode de fonctionnement choisi.

Premiers pas avec MacImage
Si ce sont vos premiers pas en compagnie de MacImage, il ne faut pas vous laisser impressionner par la nouveauté, et notamment par cette avalanche de terminologie. Comme tout outil, MacImage suppose une phase d'apprentissage.
En fonction de vos besoins, nous vous conseillons de sélectionner l'une ou l'autre des démonstrations illustrées (voir les liens ci-dessous) en effectuant parallèlement les opérations vous-même. Après cette première prise de contact, vous ne devriez plus rencontrer de difficultés.

  • Création d'un CD-ROM hybride (HFS/ISO 9660),
  • Création d'un CD-ROM purement HFS (CD-ROM purement Macintosh),
  • Création d'un CD-ROM ISO avec Extensions Apple,
  • Ouverture d'une Image de CD-ROM Macintosh dans le programme.


Aide sur l'aide

Vous pouvez obtenir de l'aide de différentes manières :

Fichier principal d'aide
À partir de la page de présentation, vous pouvez naviguer dans le présent fichier pour lire les informations qu'il fournit sur les méthodes proposées par le programme afin d'obtenir les résultats que vous souhaitez.

Aide contextuelle
Dans toutes les fenêtres de dialogue et dans tous les menus, et d'une manière générale à chaque fois que l'utilisateur est appelé à faire quelque chose, ou à prendre une décision, un système d'aide contextuelle appelé par la touche F1 ou le clic droit de la souris vous affiche une aide concise sur le contexte dans lequel vous vous trouvez.
Vous pouvez également cliquer sur le bouton portant l'icône du programme pour appeler une aide plus développée.

Aide sur l'Internet
Dans le menu Aide, ainsi que dans la boîte 'À Propos de MacImage...' se trouvent des liens vous permettant de visiter les pages de support technique publiées sur notre site Internet. Si vous êtes connecté, cette source d'information peut être très précieuse, dans la mesure où elle est régulièrement mise à jour à partir des informations recueillies par l'assistance technique.

Liste de diffusion
Enfin, nous avons mis en place une liste de diffusion sur l'utilisation de MacImage et, plus généralement, sur toutes les questions qui se posent dans la production de CD-ROM Macintosh sur un PC. Vous pouvez vous y inscrire à partir de notre site ("http://www.macdisk.com/listfr.php3").

Premiers pas
Si c'est la première fois que vous utilisez le programme, nous vous conseillons de suivre les exemples de session de travail que nous avons préparés spécifiquement pour vous :

  • Création d'un CD-ROM hybride (HFS/ISO 9660), ce qui correspond au mode par défaut et à la principale utilisation du programme MacImage,
  • Création d'un CD-ROM purement HFS (purement Macintosh),
  • Création d'un CD-ROM ISO avec Extensions Apple,
  • Ouverture d'un Volume Macintosh virtuel dans le programme.


Premiers pas

Si ce sont vos premiers pas avec le logiciel MacImage, il ne faut pas vous laisser impressionner. Comme tout outil, MacImage suppose une phase d'apprentissage. Nous vous conseillons de suivre les démonstrations illustrées (voir les liens ci-dessous) en effectuant parallèlement les opérations vous-même. Après cette première prise de contact, vous ne devriez plus rencontrer de difficultés.

Vous trouverez d'abord une série de présentations simples.

  • Création d'un CD-ROM hybride (HFS/ISO 9660),
  • Création d'un CD-ROM purement HFS (CD-ROM purement Macintosh),
  • Création d'un CD-ROM ISO avec Extensions Apple,
  • Ouverture d'une Image de CD-ROM Macintosh dans le programme.

Malheureusement, les choses ne sont pas toujours aussi simples. Ci-dessous se trouvent des liens vers les pages de présentation de sessions de travail plus détaillées.

  • Production d'un CD-ROM hybride
  • Production d'un CD-ROM purement HFS
  • Installation d'applications Macintosh


Création d'un CD-ROM hybride

Introduction
Dès que MacImage est lancé, vous pouvez commencer à y placer des fichiers et des dossiers par glisser-déposer depuis une fenêtre de l'Explorateur. Ces fichiers et dossiers seront visibles aussi bien sur le PC que sur le Macintosh si vous les placez dans la Vue hybride, qui est le mode d'affichage par défaut. Dans ce cas, le premier bouton de la barre d'outils se présente comme ci-dessous :

Si vous voulez que certains des fichiers ne soient visibles que par les utilisateurs PC, vous devez les inclure alors que vous êtes en Vue ISO. À l'inverse, pour que seuls les utilisateurs Macintosh les voient, vous devez les inclure dans la Vue HFS. Pour changer de vue, vous cliquez simplement sur le premier bouton de la barre d'outils, qui change alors d'aspect, de la manière suivante :

Vous remarquerez que, à droite du bouton, se trouve une pointe de flèche tournée vers le bas :

Cliquez sur cette flèche pour appeler un menu qui est plus explicite :

Compilation
Lorsque vous êtes satisfait du résultat, il reste encore à produire l'image du futur CD-ROM. Ce processus est appelé compilation, et il est lancé en cliquant sur le bouton ci-dessous :

MacImage vous demande de donner un nom de fichier (celui qui contiendra l'image), compile le projet et produit le fichier-image. Il ne reste plus qu'à le graver à l'aide de votre logiciel de gravure favori. Tous les grands logiciels de gravure offrent une fonction de gravure de CD-ROM depuis une image.
Dans Nero, la rubrique s'appelle Graver image et se trouve dans le menu Fichier.
Dans Easy CD Creator, elle s'appelle Enregistrer CD-ROM à partir d'une image et se trouve également dans le menu Fichier.

Autres pages conseillées :

  • Création d'un CD-ROM avec autorun,
  • Création d'un CD-ROM purement HFS (CD-ROM purement Macintosh),
  • Création d'un CD-ROM ISO avec Extensions Apple,
  • Ouverture d'une Image de CD-ROM Macintosh dans le programme.

Principe de fonctionnement
MacImage fonctionne selon le même principe que la plupart des logiciels de production de CD-ROM. Vous créer un projet (une liste) qui contient les éléments que vous entendez graver. Ce projet se comporte comme un disque, vers lequel vous copiez des fichiers et des dossiers par glisser-déposer depuis une fenêtre de l'Explorateur. Lorsque vous êtes satisfait du résultat, le programme produit son résultat, qui est une image du futur CD-ROM.

Comment supprimer un fichier dans une vue ?
Il peut naturellement arriver que l'on inclue un fichier dans une vue et que l'on change d'avis a posteriori.
MacImage offre naturellement la possibilité de modifier les codes d'inclusion.

MacImage et la gravure
MacImage ne pilote pas directement les graveurs de CD-ROM. Vous devez utiliser pour ce faire le programme que vous avez acheté ou que vous avez trouvé avec votre matériel. Tous les grands logiciels de gravure offrent une fonction de gravure de CD-ROM depuis une image.

Création d'un projet
Vous pouvez aussi choisir de ne pas utiliser le projet par défaut. Voici comment procéder :
Dans le menu 'Projet', sélectionnez la rubrique 'Nouveau'. Donnez un nom de fichier. Les fichiers de projet portent l'extension CAT. Vous pouvez placer ces fichiers où vous le souhaitez. Ils ne sont jamais très gros et peuvent donc parfaitement rester dans le dossier du programme.

Autres exemples détaillés
Malheureusement, les choses ne sont pas toujours aussi simples. Ci-dessous se trouvent des liens vers les pages de présentation de sessions de travail plus détaillées.

  • Production d'un CD-ROM hybride
  • Production d'un CD-ROM purement HFS
  • Installation d'applications Macintosh


Création d'un CD-ROM purement HFS

Introduction
La raison d'être du Mode Partition est de produire un CD-ROM purement Macintosh (HFS). Dans ce mode de fonctionnement, MacImage gère un volume Macintosh virtuel (que nous appelons une partition virtuelle, d'où le nom du mode de travail) qui est stocké dans un fichier sauvegardé sur le disque dur du PC. MacImage offre sur cette partition virtuelle toutes les fonctions classiques de traitement des fichiers et des dossiers, comme la copie, la suppression, le renommage, etc.
Le CD-ROM qui sera produit de cette manière sera uniquement lisible sur un Macintosh. Si vous souhaitez créer un CD-ROM qui se lise aussi bien sur un Macintosh que sur un PC, vous devez utiliser le Mode Projet.

Changement de mode de travail
Vous devez tout d'abord passer en Mode Partition. Cela se fait dans le menu 'Options', rubrique 'Mode de travail'. Vous pouvez également utiliser le raccourci clavier CTRL M, qui bascule successivement de mode en mode.

Création d'une nouvelle partition
Dans le menu 'Partitions', sélectionnez la rubrique 'Nouvelle'. Le programme vous demande de donner un nom au fichier qui sera stocké sur le PC. Il passe ensuite à la création proprement dite :

Voir la copie d'écran.

MacImage vous demande le nom de la nouvelle partition (nom du futur volume Macintosh) et sa taille. Vous pouvez estimer la taille de la partition à créer en additionnant les tailles de tous les fichiers que vous entendez y placer, et en ajoutant environ 10 %.
La taille de la partition peut être corrigée ultérieurement dans certaines limites. Vous ne pourrez pas porter à 200 Mo une partition de 2 Mo, mais il est toujours possible de rajouter 10 à 15 Mo.
Vous pouvez laisser les autres options à leurs valeurs par défaut.

Placement de fichiers et de dossiers
Lorsque MacImage affiche dans sa fenêtre le contenu (vide) de la nouvelle partition, vous pouvez commencer à y placer des fichiers et des dossiers par glisser-déposer depuis une fenêtre de l'Explorateur. Le programme copie alors les fichiers et les dossiers, ainsi que les fichiers ou dossiers que ceux-ci contiennent, etc. Vous pouvez placer ces éléments à n'importe quel niveau du volume Macintosh virtuel.
Vous pouvez renommer les fichiers et les dossiers, et même les supprimer. Vous pouvez également renommer le volume.

Gravure du résultat
Lorsque vous êtes satisfait du résultat, vous sauvegardez le fichier et vous le gravez. MacImage ne pilote pas directement les graveurs de CD-ROM. Vous devez utiliser pour ce faire le programme que vous avez acheté ou que vous avez trouvé avec votre matériel. Tous les grands logiciels de gravure offrent une fonction de gravure de CD-ROM depuis une image.

Autres pages conseillées :

  • Création d'un CD-ROM hybride (HFS/ISO 9660),
  • Création d'un CD-ROM ISO avec Extensions Apple,
  • Ouverture d'une Image de CD-ROM Macintosh dans le programme.

Malheureusement, les choses ne sont pas toujours aussi simples. Ci-dessous se trouvent des liens vers les pages de présentation de sessions de travail plus détaillées.

  • Production d'un CD-ROM hybride
  • Production d'un CD-ROM purement HFS
  • Installation d'applications Macintosh


Création d'un CD-ROM avec extensions Apple

Création d'un CD-ROM ISO avec extensions Apple

Introduction
Dans le troisième mode de fonctionnement de MacImage, le mode Mode ISO+, vous créer un CD-ROM ISO qui utilise certains degrés de liberté laissés par la norme ISO 9660 afin de placer correctement les éléments spécifiques du système de fichiers du Macintosh, à savoir la branche de ressources ainsi que les données que l'on regroupe généralement sous le nom de « Informations du Finder ».

Pourquoi un troisième mode ?
Le mode ISO+ est intéressant lorsque les données qu'il convient de placer sur le CD-ROM sont organisées en de très nombreux petits fichiers. En effet, le système de fichiers ISO utilise comme unité d'allocation minimale le secteur physique de 2048 octets, tandis que le système HFS, ne pouvant pas adresser plus de 65534 unités, doit gérer des unités d'allocation qui peuvent atteindre 10 Ko dans le cas d'un CD-ROM de 650 Mo.
Si vous placez sur le CD-ROM des fichiers contenant de grosses images, il n'y a pratiquement pas de différence. Si vous y placez un site Web composé de milliers de petits fichiers de 1 ou 2 Ko, la place perdue peut vite être considérable.

Est-il possible de placer des programmes ?
Oui, les programmes et d'une manière générale les fichiers utilisant la branche de ressources peuvent être placés sur ces supports ISO avec extensions Apple. Il devient possible d'exécuter un programme Macintosh depuis un CD-ROM ISO+ (ce qui n'est pas possible depuis un CD-ROM purement ISO).

Inconvénients du format ISO+
Évidemment, il existe des inconvénients, sinon tout le monde utiliserait ce format seulement depuis très longtemps.
Longueur des noms : si l'ordinateur de destination tourne sous Mac OS 9 ou moins, et n'a pas installé les Extensions Joliet de Thomas Tempelmann, l'utilisateur ne verra que les noms courts (le plus souvent sous la forme « SIMPLE~1 » pour « Simple Text », par exemple). Ce format devrait donc être réservé à des situations où vous avez une idée assez précise de l'équipement de l'ordinateur Macintosh de destination.
Pas de démarrage automatique : étant donné que le démarrage automatique est une fonction de QuickTime qui ne peut s'appliquer qu'à des supports HFS, les CD-ROM ISO avec extensions Apple se trouvent exclus de cette fonctionnalité. Il vous revient de peser le pour et le contre dans la situation précise où vous vous trouvez.

Passage en mode ISO+
Comme le logiciel est par défaut en Mode Projet, vous devez le commuter en Mode ISO+. C'est l'objet de la première rubrique du menu Options.

Glisser-déposer des fichiers
Ouvrez ensuite un fichier de projet (qui contiendra la liste des fichiers à inclure dans le CD-ROM).
Puis, à partir de l'explorateur, copiez les fichiers voulus par glisser-déposer sur la fenêtre de MacImage. Le programme intègre les fichiers dans sa liste, en respectant les positions dans les dossiers et sous-dossiers.

Compilation de l'image
Il ne reste plus qu'à compiler l'image, ce qui se commande par le premier bouton de la barre d'outils.
Ensuite, chargez votre logiciel de gravue favori et demandez-lui de graver cette image.

Autres pages conseillées :

  • Création d'un CD-ROM hybride (HFS/ISO 9660),
  • Création d'un CD-ROM purement HFS (CD-ROM purement Macintosh),
  • Ouverture d'une Image de CD-ROM Macintosh dans le programme.

Malheureusement, les choses ne sont pas toujours aussi simples. Ci-dessous se trouvent des liens vers les pages de présentation de sessions de travail plus détaillées.

  • Production d'un CD-ROM hybride
  • Production d'un CD-ROM purement HFS
  • Installation d'applications Macintosh


Ouverture d'une image de CD-ROM Macintosh avec MacImage

Introduction
Lorsque vous lancez MacImage, son mode de travail par défaut est le Mode Projet. Vous pouvez sélectionner le Mode Partition dans le menu 'Options'.
Dans le menu 'Partition', sélectionnez la rubrique 'Ouvrir'. Dans la boîte de sélection du fichier, choisissez le fichier-image que vous voulez ouvrir. Par défaut, le programme recherche des fichiers ayant l'extension HFS (Images purement Macintosh). Vous pouvez choisir des images ISO ou encore des images produites par Toast (extension IMG ou TIMG).

Quelles images ouvrir ?
MacImage est en mesure d'ouvrir les images HFS (purement Macintosh) ainsi que la partie HFS d'une image hybride. Dans le cas d'une image hybride, produite par MacImage en mode Projet ou à l'aide d'autres utilitaires, le catalogue est généralement plein, ce qui interdit d'y rajouter des éléments. Par contre, il est toujours possible de supprimer des fichiers ou des dossiers, et dans certaines limites de renommer des éléments.
Si vous donnez un nom de fichier qui n'existe pas, MacImage passe automatiquement à la Création d'une nouvelle partition pour produire un nouveau CD-ROM entièrement Macintosh.
Dès qu'un fichier contenant une image a été sélectionné, MacImage l'ouvre et affiche son contenu.

Pourquoi ouvrir une image de CD-ROM Macintosh ?
On peut avoir besoin d'ouvrir une image de CD-ROM Macintosh pour plusieurs raisons :

  • Sélectionner/changer un fichier de démarrage automatique,
  • Supprimer un fichier ou un dossier,
  • Renommer un fichier ou un dossier.

Pour continuer
À partir d'ici, vous pouvez continuer en consultant les pages suivantes :

  • Copie de la partition Mac vers le PC,
  • Copie du PC vers la partition Mac.

Voir aussi :

  • Création d'un CD-ROM hybride (HFS/ISO 9660),
  • Création d'un CD-ROM purement HFS (CD-ROM purement Macintosh).
  • Création d'un CD-ROM ISO avec Extensions Apple,


Menus de MacImage

MacImage vous propose les menus suivants (cliquez sur les liens pour plus d'informations) :

  • Menu Projet (en mode Projet)
  • Menu Partition (en mode Partition)
  • Menu ISO+ (en mode ISO + Extensions Apple)
  • Menu Fichier
  • Menu Spécial
  • Menu Options
  • Menu Aide


Menu Projet

Le menu Projet (qui ne s'affiche que dans le mode Projet) regroupe les rubriques intéressant les fichiers de projet, ainsi que le point de sortie du programme.

  • Nouveau
    Création d'un nouveau fichier de projet.
  • Ouvrir
    Ouverture d'un fichier de projet existant.
  • Enregistrer
    Enregistrement du fichier de projet courant.
  • Enregistrer Sous
    Enregistrement du fichier courant sous un nouveau nom.
  • Fermer
    Fermeture du fichier de projet courant.
  • Propriétés
    Affichage d'informations sur le projet courant.
  • Nom du volume
    Renommage du volume.
  • Compilation
    Création du fichier-image correspondant au projet.
  • Réouvrir
    Affichage des 5 derniers fichiers de projet ouverts.
  • Quitter
    Sortie du programme et retour à Windows.

Retour à la liste des menus.


Menu Partition

Le menu Partition (qui ne s'affiche que dans le mode Partition) regroupe les rubriques intéressant les partitions, ainsi que le point de sortie du programme.

  • Nouvelle
    Création d'une nouvelle partition virtuelle.
  • Ouvrir
    Ouverture d'une partition existante.
  • Enregistrer
    Enregistrement de la partition courante.
  • Enregistrer Sous
    Enregistrement de la partition courante sous un nouveau nom.
  • Fermer
    Fermeture de la partition courante.
  • Propriétés
    Affichage d'informations sur la partition courante.
  • Nom de la partition
    Renommage du volume.
  • Redimensionnement
    Redimensionnement de la partition HFS courante.
  • Hybridation
    Copie de la partition HFS courante sur une image ISO pour créer une image hybride HFS/ISO sans partage des fichiers.
  • Réouvrir
    Affichage des 5 dernières partitions ouvertes.
  • Quitter
    Sortie du programme et retour à Windows.

Retour à la liste des menus.


Menu ISO+

Le menu ISO+ (qui ne s'affiche que dans le mode ISO+) regroupe les rubriques intéressant les fichiers de projet, ainsi que le point de sortie du programme.

  • Nouveau
    Création d'un nouveau fichier de projet.
  • Ouvrir
    Ouverture d'un fichier de projet existant.
  • Enregistrer
    Enregistrement du fichier de projet courant.
  • Enregistrer Sous
    Enregistrement du fichier courant sous un nouveau nom.
  • Fermer
    Fermeture du fichier de projet courant.
  • Propriétés
    Affichage d'informations sur le projet courant.
  • Nom du volume
    Renommage du volume.
  • Compilation
    Création du fichier-image correspondant au projet.
  • Réouvrir
    Affichage des 5 derniers fichiers de projet ouverts.
  • Quitter
    Sortie du programme et retour à Windows.

Retour à la liste des menus.


Menu Fichiers

Le menu Fichier regroupe les rubriques de manipulation des fichiers et des dossiers. Les différentes rubriques dont il se compose varient en fonction des modes de fonctionnement.

Mode Projet et Mode ISO+

  • Coller depuis l'Explorateur
    Placement dans le projet des fichiers copiés par CTRL C dans l'Explorateur de Windows.
  • Supprimer
    Suppression d'un fichier ou dossier du projet, sélectionné dans la liste.
  • Renommer
    Renommage d'un fichier ou dossier du projet, sélectionné dans la liste.
  • Créer Dossier
    Création d'un nouveau dossier dans le dossier courant du projet.
  • Propriétés
    Affichage des propriétés du fichier ou dossier sélectionné.
  • Rechercher un fichier
    Recherche d'un fichier dans le projet, par son nom ou par sa signature.
  • Rechercher/remplacer des signatures
    Recherche et éventuellement remplacement des signatures de certains fichiers dans la totalité du projet.
  • Sélectionner tout
    Sélection de toutes les rubriques du dossier courant.
  • Inverser la sélection
    Les rubriques sélectionnées ne le sont plus. Celles qui ne l'étaient pas le sont.

Mode Partition

  • Copie des fichiers vers le PC
    Copie depuis la partition Macintosh.
  • Copie des fichiers vers le Mac
    Copie vers la partition Macintosh.
  • Coller depuis l'Explorateur
    Placement dans le projet des fichiers copiés par CTRL C dans l'Explorateur de Windows.
  • Supprimer
    Suppression d'un fichier ou dossier de la partition Macintosh.
  • Renommer
    Renommage d'un fichier ou dossier de la partition Macintosh.
  • Créer un dossier
    Création d'un nouveau dossier dans la partition Macintosh.
  • Afficher
    Affichage du contenu d'un fichier Macintosh.
  • Propriétés
    Affichage des propriétés du fichier ou dossier sélectionné.
  • Rechercher un fichier
    Recherche d'un fichier dans la partition Macintosh.
  • Sélectionner tout
    Sélection de toutes les rubriques du dossier courant.
  • Inverser la sélection
    Les rubriques sélectionnées ne le sont plus. Celles qui ne l'étaient pas le sont.

Retour à la liste des menus.


Menu Spécial

Le menu Spécial offre plusieurs rubriques qui ne devraient intéresser que les utilisateurs avancés. Les différentes rubriques dont il se compose varient en fonction des modes de fonctionnement.

Mode Projet et Mode ISO+

  • Rafraîchir projet
    Vérification de l'existence et de la taille des fichiers et dossiers d'origine sur le PC pour mettre le projet à jour.
  • Modifier chemin d'accès
    Remplacement d'un chemin d'accès original par un nouveau (pour le cas où des fichiers originaux ont été déplacés).
  • Alias
    Recherche des alias (raccourcis) dans le fichier de projet.
  • Recherche des signatures génériques
    Recherche dans le fichier de projet des fichiers auxquels le programme a attribué une signature générique (du type xxxx????). Les signatures génériques sont techniquement correctes, mais devraient être évitées dans un CD-ROM de qualité professionnelle.
  • Lancement de l'Explorateur
    Lancement de l'Explorateur de Windows pour envoyer des fichiers vers le volume Macintosh.
  • Éditeur de signatures
    Lancement de l'éditeur du fichier de signatures.
  • Assembleur d'icônes
    Lancement de l'assembleur d'icônes (WinComposer, module indépendant).
  • Enregistrer types de fichiers
    Réenregistrement dans le Registre des types de fichiers utilisés par MacImage.

Mode Partition

  • Alias
    Recherche des alias (raccourcis) dans le fichier de projet.
  • Recherche des signatures génériques
    Recherche dans le fichier de projet des fichiers auxquels le programme a attribué une signature générique (du type xxxx????). Les signatures génériques sont techniquement correctes, mais devraient être évitées dans un CD-ROM de qualité professionnelle.
  • Lancement de l'Explorateur
    Lancement de l'Explorateur de Windows pour envoyer des fichiers vers le volume Macintosh.
  • Éditeur de signatures
    Lancement de l'éditeur du fichier de signatures.
  • Assembleur d'icônes
    Lancement de l'assembleur d'icônes (WinComposer, module indépendant).
  • Enregistrer types de fichiers
    Réenregistrement dans le Registre des types de fichiers utilisés par MacImage.

Retour à la liste des menus.


Menu Options

Le menu Options offre plusieurs rubriques qui modifient le comportement du programme. Les différentes rubriques dont il se compose varient en fonction des modes de fonctionnement.

Mode Projet

  • Mode de travail
    Sélection du mode de travail (Projet, Partition, ISO+).
  • Vue (mode d'affichage)
    Sélection de la vue ISO, HFS ou hybride.
  • Langue d'affichage
    Sélection de la langue d'affichage (Anglais ou Français).
  • Fichier de signatures dans le Registre
    Contrôle et changement du fichier de signatures utilisé par le programme (information sauvegardée dans le Registre).
  • Colonnes d'affichage
    Appel d'une boîte de dialogue pour sélectionner/masquer les colonnes d'affichage.
  • Préférences
    Grande fenêtre de dialogue offrant plusieurs options de fonctionnement d'ordre général ou intéressant chacun des modes de fonctionnement.

Mode Partition

  • Mode de travail
    Sélection du mode de travail (Projet, Partition, ISO+).
  • Méthode de copie
    Copie des données du fichier, de ses ressources ou des deux branches en mode MacBinary.
  • Interversion des branches
    Interversion des deux branches de données et de ressources composant le fichier Macintosh.
  • Langue d'affichage
    Sélection de la langue d'affichage (Anglais ou Français).
  • Fichier de signatures dans le Registre
    Contrôle et changement du fichier de signatures utilisé par le programme (information sauvegardée dans le Registre).
  • Colonnes d'affichage
    Appel d'une boîte de dialogue pour sélectionner/masquer les colonnes d'affichage.
  • Préférences
    Grande fenêtre de dialogue offrant plusieurs options de fonctionnement d'ordre général ou intéressant chacun des modes de fonctionnement.

Mode ISO+

  • Mode de fonctionnement
    Sélection du mode de travail (Projet, Partition, ISO+).
  • Langue d'affichage
    Sélection de la langue d'affichage (Anglais ou Français).
  • Fichier de signatures dans le Registre
    Contrôle et modification du fichier de signatures utilisé par le programme (et sauvegardé dans le Registre entre les sessions de travail).
  • Colonnes d'affichage
    Appel d'une boîte de dialogue pour sélectionner/masquer les colonnes d'affichage.
  • Préférences
    Grande fenêtre de dialogue offrant plusieurs options de fonctionnement d'ordre général ou intéressant chacun des modes de fonctionnement.

Retour à la liste des menus.


Menu Aide

Ce menu est le point d'entrée dans l'aide de MacImage.

  • Comment utiliser l'aide
    Une petite page d'aide sur l'utilisation de l'aide.
  • Accès à l'aide
    Accès au fichier d'aide.
  • Recherche dans l'aide
    Appel de la fonction de recherche dans le système d'aide.
  • Index de l'aide
    Appel de la page d'index de l'aide.
  • Support technique en ligne
    Accès aux pages de support technique sur l'Internet.
  • À Propos de MacImage
    Affichage de la classique boîte de dialogue affichant la version du programme ainsi que le numéro de série.

Retour à la liste des menus.


Comment faire pour...

Introduction
Nous donnons ci-dessous des liens vers les pages présentant certaines opérations classiques. Ces opérations sont celles que vous êtes susceptible de devoir effectuer à un moment ou à un autre, et nous avons fait tous les efforts pour en faire des outils efficaces et complets.
Toutefois, étant donné que ce fichier d'aide est livré avec le programme, il ne peut pas rester à jour en permanence. Nous vous conseillons donc de visiter notre site Web et en particulier la carte du site, qui regroupe l'ensemble des pages concernant la création de CD-ROM Macintosh sur un PC.

  • Afficher le contenu d'un fichier
  • Basculer entre HFS et HFS+
  • Cacher des fichiers ou des dossiers
  • Changer la langue du programme
  • Changer la taille du projet (Mode Projet)
  • Changer la taille du projet (mode ISO+)
  • Créer une icône personnalisée
  • Démarrer automatiquement le CD-ROM
  • Éditer les signatures
  • Enregistrer le numéro de série
  • Enregistrer les types de fichiers de MacImage
  • Graver une image
  • Inclure des fichiers/dossiers portant le même nom
  • Installer des applications Macintosh
  • Mettre à jour un projet
  • Modifier les codes d'inclusion
  • Produire un CD-ROM hybride
  • Produire un CD-ROM purement HFS
  • Produire un CD-ROM ISO 9660 avec extensions Apple
  • Réaliser un site Web sur CD-ROM
  • Sélectionner la vue (le mode d'affichage)
  • Sélectionner le mode de travail
  • Supprimer les extensions dans la vue HFS


Afficher le contenu d'un fichier

Introduction
Il peut parfois être utile de visualiser le contenu d'un fichier stocké sur un support Macintosh réel (dans MacDisk) ou virtuel (dans MacImage en mode Partition).
Lorsque le fichier est sélectionné, la rubrique « Afficher » du menu Fichier ou du menu contectuel appelle une seconde fenêtre d'affichage.

Voir les pages consacrées au Module d'affichage.


Basculer de HFS à HFS+

Introduction
Les deux différences essentielles entre les formats HFS et HFS+ sont la longueur des noms de fichiers et la taille des blocs d'allocation (voir notre page HFS ou HFS+ ? pour plus d'informations).
La taille des blocs d'allocation n'est déterminée qu'au moment de la compilation (au moment de la production de l'image de CD-ROM), et ne joue donc aucun rôle dans la gestion des projets.
Seule la longueur des noms de fichiers intervient donc.

De HFS+ à HFS
Lorsque l'on bascule du format HFS+ au format HFS, il est nécessaire de tronquer les noms de fichiers qui sont trop longs. MacImage le fait en utilisant le mécanisme de troncation utilisé au moment de l'inclusion de nouveaux fichiers ou dossiers dans le projet.

De HFS à HFS+
Dans l'autre sens, les noms de fichiers ne sont pas recalculés (même si, théoriquement, il serait possible d'avoir des noms plus longs avec le format HFS+).

Changer le format par défaut de MacImage
Il est possible de sélectionner le format HFS ou HFS+ par défaut dans la rubrique Préférences du Menu Options.


Cacher des fichiers

Introduction
Il peut parfois être intéressant de cacher des fichiers et des dossiers, afin de ne pas les exposer à l'utilisateur, pour telle ou telle raison.
Sur le Macintosh, l'attribut caché est mis en oeuvre de manière relativement stricte, et il faut utiliser des outils logiciels spéciaux pour accéder malgré tout aux fichiers.
D'un autre côté, sous Windows, il s'agit simplement d'une option d'affichage, accessible à tous, et on peut considérer que tous les utilisateurs avancés affichent les fichiers cachés et système. La protection est donc moindre.

Modifier l'état d'inclusion
MacImage vous permet naturellement de modifier l'état caché d'un fichier ou d'un dossier. Faites un clic droit sur la rubrique et choisissez l'option Propriétés.
Le programme affiche la fenêtre de dialogue suivante, où vous pouvez modifier le code.

S'il se trouve que vous aviez sélectionné plusieurs rubriques avant d'effectuer le clic droit, la fenêtre affichée est un petit peu différente, mais vous permet tout de même d'effectuer les modifications :

Notez bien qu'il est ainsi possible de cacher un fichier dans la Vue ISO et pas dans la Vue HFS, et inversement.


Changer la langue du programme

Lorsqu'il est lancé pour la première fois, le programme demande à Windows quelle est la langue utilisée sur l'ordinateur et affiche ses messages en conséquence, soit en anglais, soit en français.
Cependant, il peut se produire que ce code soit mal interprété, et qu'il soit donc nécessaire de changer la langue du programme manuellement. Cela se fait à partir du menu Options. Ensuite, le code est stocké dans le Registre, si bien qu'il n'est plus nécessaire de s'en préoccuper.

Retour à la page « Comment faire... ».


Préférences en mode Projet

Cette fenêtre de dialogue vous offre deux options qui intéressent uniquement le mode Projet.

HFS ou HFS+ ?
MacImage utilise par défaut, pour la gestion de la vue Macintosh du CD-ROM hybride, le système de fichiers HFS. Ce format est le plus général, tandis que le système de fichiers HFS+ n'est géré par les Macintosh qu'à partir de Mac OS 8.5. Cependant, le format HFS+ (appelé officiellement Mac OS Étendu) présente un certain nombre d'avantages. Il est donc souhaitable de pouvoir renverser ce paramètre par défaut et toujours formater la vue Macintosh en HFS+.

Taille de référence du projet
MacImage affiche au bas de sa fenêtre une règle qui indique l'état de remplissage de votre projet (combien d'espace déjà occupé, combien d'espace libre), ce qui vous permet de suivre visuellement la progression de votre travail.
MacImage utilise par défaut une taille maximale de 700 Mo, avec un avertissement à partir de 650 Mo (la couleur de la barre change). Comme il est également possible de produire des DVD-ROM hybrides avec une vue ISO 9660 côté Windows et une vue HFS/HFS+ du côté Mac, vous pouvez changer la taille de référence de votre projet. Cette information est sauvegardée dans le Registre et automatiquement rechargée au prochain lancement du programme.

Voir aussi :

  • Préférences générales
  • Préférences en mode Partition
  • Préférences en mode ISO+


Préférences en mode ISO+

Taille de référence du projet
En mode IOS+ également,MacImage affiche au bas de sa fenêtre une règle qui indique l'état de remplissage de votre projet (combien d'espace déjà occupé, combien d'espace libre), ce qui vous permet de suivre visuellement la progression de votre travail.
MacImage utilise par défaut une taille maximale de 700 Mo, avec un avertissement à partir de 650 Mo (la couleur de la barre change). Comme il est également possible de produire des DVD-ROM purement ISO 9660 (sans système de fichiers UDF) avec Extensions Apple, vous pouvez changer la taille de référence de votre projet. Cette information est sauvegardée dans le Registre et automatiquement rechargée au prochain lancement du programme.

Voir aussi :

  • Préférences générales
  • Préférences en mode Projet
  • Préférences en mode Partition


Utilisation de MacImage en ligne de commande

Introduction
Bien que MacImage soit une application Windows, avec une interface utilisateur graphique, il existe des situations où la ligne de commande reste intéressante en raison de sa puissance.
Puisque MacImage a enregistré ses extensions (*.mipr, *.hfs et *.isop) auprès de Windows, lorsque vous effectuer un double clic sur l'un des fichiers portant cette extension, l'Explorateur lance MacImage avec comme ligne de commande le nom du fichier. Le traitement par défaut est la simple ouverture.
Il est possible d'aller plus loin. Actuellement, seule la compilation a été mise en oeuvre. Vous êtes cordialement invités à nous faire des suggestions si d'autres fonctions peuvent vous être utiles.

Compilation en ligne de commande
Lorsqu'il est lancé avec une ligne de commande telle que :

macimage -c file.mipr

MacImage ouvre le fichier de projet (file.mipr) et le compile, en produisant un fichier-image qui porte le nom file.iso.
Si vous rajoutez un logiciel de gravure en ligne de commande tel que cdburn.exe ou dvdburn.exe, qui sont offerts par Microsoft dans son Kit de ressources Windows 2003 (ces utilitaires ne s'installent que sous Windows XP et supérieur, mais tournent parfaitement sous Windows 2000), il devient possible de lancer la compilation et la gravure en deux lignes seulement de fichier batch, qui pourrait être :

macimage -c file.mipr
cdburn d: file.iso -speed max


Icônes personnalisées

Introduction
Le Macintosh permet depuis très longtemps d'attribuer aux fichiers, aux dossiers et aux volumes (disques) des icônes personnalisées, qui remplacent l'icône par défaut qui serait sinon affichée par le Finder (icône fournie par le système d'exploitation ou encore par l'application utilisée pour créer/éditer le fichier).
Dans le cas d'un fichier, il peut s'agir d'une icône spécifiant le contenu, ou d'une image de prévisualisation d'un fichier graphique.
Dans le cas d'un dossier (ou d'un volume, qui n'est qu'un cas particulier puisqu'il s'agit en fait de la racine), l'icône est sensée représenter les fichiers contenus, ou symboliser le producteur des données.

Comment faire sur le Macintosh ?
La méthode classique, sur le Macintosh, consiste à afficher les informations sur le dossier ou sur le fichier et à coller dans l'icône affichée des données copiées depuis une application graphique.

Comment faire avec MacImage ?
Voir aussi la Liste de contrôle destinée à vous aider.
MacImage est fourni avec un module spécialisé appelé WinComposer. Ce module vous permet d'importer de nombreuses ressources graphiques (icônes Windows, icônes Macintosh, nombreux formats graphiques) et de produire des icônes de 16*16, 32*32, 48*48 et 128*128 pixels.
Dans le cas d'un dossier normal, l'icône multiformat ainsi produite (sauvegardée sous la forme d'une branche de ressources stockée dans un conteneur MacBinary) est placée dans le dossier voulu (MacImage déballe automatiquement le conteneur) et la case « Icône personnalisée » est cochée dans la rubrique du dossier.
Dans le cas du volume, la même procédure s'applique pour Mac OS 9 et inférieur, le fichier étant placé dans la racine du disque. Dans le cas de Mac OS X, il faut également y placer un fichier appelé '.VolumeIcon.icns' contenant une icône dans la branche de données.
Ces fichiers doivent être cachés. Dans le cas du conteneur MacBinary, WinComposer place lui-même l'attribut voulu dans l'en-tête MacBinary. Dans le cas du fichier '.VolumeIcon.icns', il faut que vous le fassiez vous-même dans la boîte Propriétés.
La fonction n'existe pas encore dans le cas des fichiers.

Aspects techniques
Le principe technique est relativement simple. Ces icônes personnalisées sont des icônes normales (voir l'aide de WinComposer pour des informations plus techniques), mais qui doivent porter le numéro d'identification « magique » -16455). Le fichier qui les contient doit être caché. Un drapeau d'attribut spécial doit être armé dans la rubrique du dossier dans le catalogue.
Dans le cas d'un fichier, les données graphiques (qui doivent répondre aux mêmes conditions) sont intégrées dans la branche de ressources du fichier. Cette fois, c'est la rubrique du fichier elle-même dont l'attribut doit être correctement armé.
Ces ressources graphiques ne sont pas enregistrées par le Finder dans sa base de données (Desktop).

Icônes personnalisées de dossiers
Le dossier doit contenir un fichier caché appelé 'Icon\r' (avec 0x0D comme dernier caractère) contenant des ressources graphiques voulues de type icône (voir les explications détaillées données dans l'aide de WinComposer). L'atttibut « Icône personnalisée » doit être armé dans la rubrique du dossier.

Icônes personnalisées de volumes
Sous Mac OS 9 et antérieur, la racine du disque est traitée comme un dossier normal et doit contenir le même fichier 'icon\r'.
Sous Mac OS X, le fichier contenant l'icône doit être nommé '.VolumeIcon.icns', il doit être caché et l'icône, contenue dans la branche de données, doit être de type 'icns' (voir l'aide de WinComposer pour des informations techniques complémentaires).
Si vous visez toutes les versions du système d'exploitation Macintosh, vous pouvez inclure les deux fichiers. Mac OS X a repris de ses racines Unix la convention de traiter tous les fichiers commençant par un point comme des fichiers systèmes cachés. Le fichier '.VolumeIcon.icns' ne sera donc jamais affiché sous Mac OS X. Ce n'est pas le cas sous Mac OS 9 et antérieur, qui ne connaît pas cette convention. Il est donc indispensable d'armer l'attribut caché de ce fichier si vous ne voulez pas semer la perplexité parmi les utilisateurs.


Liste de contrôle pour la création d'icônes personnalisées

Introduction

Cette page a été conçue comme une aide essentiellement pratique pour vous aider à créer des icônes personnalisées pour les volumes ou dossiers de vos projets de CD-ROM dans MacImage.
Nous envisagerons successivement les différentes situations de base (Icônes de dossier, Icônes de volume sous Mac OS X et Icônes de volume sous les versions antérieures).
Enfin, nous dirons un mot des CD-ROM devant avoir une icône personnalisée quelle que soit la version du système d'exploitation.
Cette page fait à plusieurs reprises référence aux notions de branche de données et de branche de ressources. Consultez éventuellement les pages que nous consacrons aux branches des fichiers Macintosh et au format MacBinary pour rafraîchir vos connaissances sur ces questions.

Icônes de dossier

Notez bien qu'il n'y a pas de différence entre les versions du système d'exploitation Mac OS pour ce qui concerne les icônes de dossiers.

1) Produire l'icône dans WinComposer
Dans WinComposer, importez les éléments graphiques que vous voulez inclure dans le fichier d'icône que vous voulez produire.
Ensuite, sélectionnez le menu Fichier, puis Enregistrer, Icône Macintosh et enfin Ressources seules. Vous enregistrez ainsi une Ressource Macintosh dans un conteneur MacBinary. Cette ressource contiendra toutes les tailles qui sont affichées dans l'onglet d'assemblage.
Vous pouvez également choisir de n'enregistrer qu'une seule taille (de préférence une icône 32*32, mais 48*48 convient également). Dans ce cas, cliquez sur l'icône pour la sélectionner (observez le cadre vert qui s'affiche autour de l'icône sélectionnée), puis faites un clic droit pour appeler le menu contextuel. Choisissez l'option Enregistrement individuel, puis Fichier icns (Mac, ressource). WinComposer vous propose de sauvegarder un fichier avec l'extension *.icns, mais il ajoute ensuite une seconde extension *.bin pour que le fichier soit correctement identifié.
Le travail dans WinComposer est terminé, nous repassons dans MacImage.

2) Placer l'icône dans le dossier de destination dans MacImage
Dans le projet de MacImage, ouvrez le dossier de destination (le fichier d'icône doit être placé dans le dossier dont il deviendra l'icône) et placez-y le fichier que vous venez de produire. Il est évidemment inutile de l'inclure dans la vue ISO.
Notez bien que le nom du fichier sur le disque dur du PC n'a aucune importance, car WinComposer a placé à l'intérieur du conteneur le nom que le fichier devra porter sur le volume Macintosh, à savoir 'icon\r', le dernier caractère '\r' étant 0x0D en hexadécimal (retour chariot). Ce fichier doit être caché. WinComposer a également armé ce drapeau, si bien que vous n'avez rien de spécial à faire.

3) Armer le drapeau du dossier
Enfin, il faut armer le drapeau d'icône personnalisée du dossier. Faites un clic droit sur la rubrique du dossier, dans le volet de navigation à gauche ou dans le volet de liste à droite, puis sélectionnez la rubrique Propriétés. Dans la grande boîte de dialogue, cochez la case Icône personnalisée tout en bas et sauvegardez les modifications.
Les opérations sont terminées.
Retour au haut de la page

Icônes de volume sous Mac OS X

1) Produire l'icône dans WinComposer
Après avoir composé votre icône en important des ressources graphiques dans l'onglet d'assemblage de WinComposer, de la même manière que dans le cas d'un fichier d'icônes destiné à un dossier, vous allez créer un fichier d'icône qui sera cette fois un simple fichier de données et non pas un conteneur MacBinary enveloppant une branche de ressources.
Pour sauvegarder un fichier d'icône contenant tous les formats affichés dans l'onglet d'assemblage, sélectionnez le menu Fichier, puis les rubriques Enregistrer, Icône Macintosh, Données seules.
De la même manière, vous pouvez choisir de n'enregistrer qu'une seule taille (32*32 de préférence, ou encore 48*48). Sélectionnez l'icône (observez le cadre vert affiché par le programme), puis faites un clic droit pour appeler le menu contextuel, et sélectionnez Enregistrement individuel, puis Fichier icns (Mac, données).
Le programme vous propose d'enregistrer le fichier dans les deux cas avec l'extension *.icns. Vous pouvez choisir de donner un nom quelconque au fichier. Vous pouvez aussi lui donner immédiatement le nom qui doit être utilisé sur le futur CD-ROM, à savoir 'VolumeIcon.icns'.
Le travail dans WinComposer est terminé, nous repassons dans MacImage.

2) Placer l'icône dans la racine du projet de MacImage
Dans MacImage, ouvrez le projet et affichez le contenu de la racine. Placez-y le fichier d'icône. Ce fichier doit avoir pour nom VolumeIcon.icns. Si vous avez donné un autre nom lors de l'enregistrement dans MacImage, il faut le modifier.
Il est naturellement inutile d'inclure ce fichier dans la vue ISO.

3) Cacher le fichier de l'icône
Comme pour les autres fichiers d'icônes, celui-ci doit être caché. Étant donné que le fichier est un fichier de données et non pas un conteneur MacBinary enveloppant une branche de ressources, WinComposer n'a pas pu le faire pour vous.
Vous devez le faire manuellement en faisant un clic droit sur le fichier d'icône et en sélectionnant la rubrique Propriétés. Dans le cadre 'Partition HFS', cochez la case 'Caché' et enregistrez les modifications.

4) Armer le drapeau du volume
Enfin, il faut armer le drapeau d'icône personnalisée du volume (en fait, de la racine). Faites un clic droit sur le nom du volume (première rubrique dans le volet de navigation) et sélectionnez la rubrique Propriétés. Celle-ci peut également être appelée depuis le menu Fichier. Dans la boîte de dialogue, cochez la case Icône personnalisée tout en bas.
Les opérations sont terminées.
Retour au haut de la page

Icônes de volume sous Mac OS 9 et antérieur

1) Produire l'icône dans WinComposer
Voir les explications données ci-dessus sur la production du fichier d'icône à propos des dossiers pour la production du fichier d'icônes dans WinComposer.

2) Placer l'icône dans la racine du projet de MacImage
Dans MacImage, ouvrez le projet et affichez le contenu de la racine. Placez-y le fichier d'icône. Voir les commentaires donnés ci-dessus à propos des icônes de dossier sur le nom du fichier et sur l'attribut caché (il n'y a normalement rien à faire).
Il est naturellement inutile d'inclure ce fichier dans la vue ISO.

3) Armer le drapeau du volume
Enfin, il faut armer le drapeau d'icône personnalisée du volume (en fait, de la racine). Faites un clic droit sur le nom du volume (première rubrique dans le volet de navigation) et sélectionnez la rubrique Propriétés. La boîte de dialogue qui s'affiche peut également être appelée depuis le menu Fichier. Cochez la case Icône personnalisée tout en bas et sauvegardez les modifications.
Les opérations sont terminées.
Retour au haut de la page

Icônes de volume pour toutes versions

Il est également possible d'attribuer une icône à un volume afin d'en obtenir l'affichage quelle que soit la version du système d'exploitation.
Le principe est simple : il convient de créer une icône pour Mac OS X et une icône pour Mac OS 9 et antérieur, les deux fichiers étant normalement placés dans la racine du volume.
Vous devez donc répéter les opérations indiquées ci-dessus pour chacune des situations. Comme les fichiers d'icône sont cachés (et doivent l'être), l'utilisateur ne peut pas être gêné par cette solution.
Retour au haut de la page

Pour des informations de nature plus technique, veuillez vous reporter à la page consacrée aux Icônes personnalisées.


Démarrage automatique

Comment faire ?
Commencez par créer un projet normal, dans le mode de fonctionnement par défaut (Mode Projet). Sélectionnez le fichier qui doit être le support de la fonction (il doit être dans le dossier racine et son nom ne doit pas dépasser 11 caractères). Validez. C'est tout. MacImage fera le reste au moment de la compilation.
En particulier, le programme vérifie qu'il n'y a qu'un seul fichier sélectionné pour cette fonction.

Mode Partition
Dans le cas d'une image produite en Mode Partition ou d'une image déjà compilée, il reste possible d'effectuer cette opération.
Passer en Mode Partition (première rubrique du menu 'Options'). Rouvrir l'image purement HFS ou hybride que vous venez de produire (du moins, pour parler plus précisément, la vue HFS de cette image hybride). Sélectionner le fichier support du lancement automatique puis la rubrique 'Lancement automatique' du menu contextuel (ouvert par le clic droit).

QuickTime
La fonction de lancement automatique d'une application lors de l'insertion d'un volume a été introduite lors de la sortie de la version 2.0 de QuickTime. Il ne s'agit donc pas d'une fonction du système d'exploitation proprement dit, mais d'une couche supérieure. Le principe de cette fonction est que l'on obtient le même résultat que si l'on avait effectué un double clic sur l'icône d'un fichier (programme, alias ou fichier de données).

Inhibition de la fonction
Il convient par ailleurs de remarquer que de très nombreux utilisateurs ont désactivé cette fonction, qui constitue une porte ouverte à des attaques virales (c'est d'ailleurs un conseil donné très fréquemment dans les magazines Macintosh), si bien qu'il ne faut pas considérer que le mécanisme mis en place fonctionnera avec certitude. Il convient en particulier de toujours compléter par un fichier de type lisez-moi.

Macintosh OS X
Cette attitude de base explique que la fonction ait été totalement supprimée, sans un mot, sous Mac OS X. La solution du fichier lisez-moi est alors la seule praticable.
Il ne semble pas qu'il y ait des projets chez Apple pour changer cet état de choses.
Dans le cas d'ordinateurs disposant encore de l'environnement d'exécution Classic, il est possible de le lancer et de vérifier dans le menu Apple que la fonction est bien validée dans le tableau de bord QuickTime. Cela peut permettre de disposer de cette fonction si vous organisez une séance de présentation pour des clients sur un Macintosh.

A partir de quel type de CD-ROM ?
Sur le Macintosh, la fonction de lancement automatique ne fonctionne qu'à partir d'un volume HFS (Hierarchical File System), c'est-à-dire à partir d'un volume portant des fichiers organisés selon le système de fichiers Macintosh. Cela signifie que vous ne pouvez pas réaliser une fonction de lancement automatique sur Macintosh à partir d'un CD-ROM ISO 9660 (ou même d'un ISO 9660 avec Extensions Apple).
Si vous voulez que votre CD-ROM démarre automatiquement aussi bien sur un PC que sur un Mac, il faut donc réaliser un CD-ROM hybride (HFS et ISO 9660).

Aspects techniques
Techniquement, le principe est de placer des zéros dans les deux premiers octets du secteur 0 du volume HFS, puis la signature magique 0x006A7068 (en gros-boutien) au décalage 106d (0x6A). Cette signature est suivie d'une chaîne Pascal (octet de longueur suivi des octets composant la chaîne) d'une longueur maximale de 12 octets (donc 11 pour le nom du fichier proprement dit). Le fichier désigné par cette chaîne doit être placé dans la racine du volume. Il peut également s'agir d'un alias (raccourci) pointant vers un fichier stocké plus bas dans l'arborescence des répertoires.
Puisque le lancement automatique produit ce que l'on ourait obtenu en effectuant un double clic sur le fichier, il faut distinguer entre les applications et les fichiers de données.
Les applications se lancent à la condition d'être installées correctement sur le support (voir cependant notre page sur l'installation des applications Macintosh).
Dans le cas d'un fichier de données, pour que le Finder puisse identifier l'application devant ouvrir le fichier sélectionné, il est nécessaire que la signature soit correctement renseignée (voir la page des signatures). Dans le cas contraire, on obtiendra seulement une boîte de dialogue du Finder demandant avec quelle application l'utilisateur souhaite ouvrir le fichier en question. L'effet est naturellement désastreux.
Apple a publié une Note technique sur le sujet, qui intéressera essentiellement les programmeurs.

Retour à la page « Comment faire... ».


Édition des signatures

Table des signatures
Nos programmes sélectionnent pour les fichiers créés du côté PC des extensions qui sont calculées à partir des signatures des fichiers Macintosh d'origine. A l'inverse, les fichiers créés sur le volume Macintosh sont dotés d'une signature déterminée en fonction de leur extension PC, de manière à obtenir des fichiers permettant de lancer une application (icônes « double-cliquables »).

Si le comportement du programme ne vous convient pas (fichiers de formats spécifiques, nouvelles versions de programmes créant de nouveaux types de fichiers, etc.), vous pouvez modifier vous-même la table de correspondance à l'aide de l'utilitaire SignEdit.

Comment connaître la signature ?
Pour connaître la signature d'un fichier Macintosh, il est nécessaire de pouvoir en obtenir un sur un support Macintosh lisible. Après avoir ouvert le volume, sélectionnez le fichier voulu et regardez ce qui est affiché dans la dernière colonne à droite. Prenez-en note, en distinguant bien entre les majuscules et les minuscules. C'est la chaîne que vous reporterez dans la table avec SignEdit.

Liste de signatures
L'aide en ligne comprend une table déjà assez longue de signatures Macintosh. Vous pouvez également vous rendre sur notre site (http://www.macdisk.com/macsigfr.htm), où cette liste est fréquemment mise à jour. Par ailleurs, nous y donnons des pointeurs sur des sources d'information.

SignEdit, l'éditeur de signatures
SignEdit est un module autonome qui est lancé depuis le menu Spécial. Il charge automatiquement le fichier de signatures déclaré dans le registre pour le programme.

Pour plus d'informations, consultez l'aide en ligne de SignEdit.


Saisir/modifier le numéro de série

À la première exécution, le programme demande à l'utilisateur de saisir le numéro de série de son exemplaire du programme. Ce numéro de série, qui se trouve sur le support de données et sur la facture, est ensuite stocké dans le Registre, si bien qu'il ne sera plus jamais redemandé.
Il reste cependant possible de le modifier à partir de la fenêtre À propos de MacImage... (dans le Menu Aide).

La structure logique du numéro de série est 'F' pour Français (ou 'E' pour English), 02 pour 2002 (année d'achat ou de mise à jour), puis un numéro à 5 chiffres, par exemple F02.00453.

Au-dessous se trouvent nos coordonnées ainsi que deux boutons destinés à vous permettre de nous adresser un courrier électronique et à visiter les pages de notre Site Internet consacrées à l'assistance technique.

Retour à la page « Comment faire... ».


Enregistrement des types de fichiers gérés par MacImage

Lors de l'installation, MacImage enregistre dans le Registre de Windows plusieurs types de fichiers :

  • *.mipr pour les fichiers de projet en mode Projet ;
  • *.hfs pour les fichiers créés en mode Partition ;
  • *.miso pour les fichiers de projet en mode ISO+.

Cet enregistrement a pour effet de lancer automatiquement MacImage lorsque vous faites un double clic sur l'icône d'un projet dans l'Explorateur.

Pour de multiples raisons (installation d'autres logiciels, par exemple), il peut se produire que ce lien soit brisé. Vous avez la possibilité de le rétablir en utilisant la rubrique 'Enregistrer type de fichiers' dans le Menu Spécial.


Graver une image

Introduction
Une image, ou un fichier-image, est un fichier qui contient une copie exacte d'un disque, le plus souvent d'un CD-ROM. Ce CD-ROM peut exister, auquel cas on a réalisé une image en vue de le dupliquer. Il peut aussi ne pas exister encore, auquel cas on a utilisé un programme, comme MacImage, pour produire l'image d'un futur CD-ROM.

Gravure d'une image
Tous les grands logiciels de gravure offrent une fonction de gravure d'images afin de reporter le contenu d'un fichier sur un CD-ROM vierge. Il convient de ne pas confondre la gravure d'une image et la création d'un CD-ROM dont le seul et unique fichier serait le fichier-image.
C'est une erreur fréquente des débutants.

Extensions des fichiers-images
Certains logiciels exigent que le fichier-image porte une certaine extension pour le graver. MacImage donne par défaut l'extension *.iso aux images ISO et hybrides, et l'extension *.hfs aux images purement Macintosh.
En fonction du logiciel que vous utilisez, il peut être nécessaire de renommer l'image et de lui donner une autre extension. Cela ne change rien à son contenu.

Nero et les images
Dans Nero, la rubrique s'appelle 'Graver image' et se trouve dans le menu 'Fichier'.

Easy CD Creator et les images
Dans Easy CD Creator, elle s'appelle 'Enregistrer CD-ROM à partir d'une image' et se trouve également dans le menu 'Fichier'.

Autres sources d'information
Veuillez consulter notre FAQ CD-ROM et notre FAQ MacImage, où nous publions régulièrement des renseignements recueillis sur les différents logiciels diffusés dans le commerce.


Inclusion de noms dupliqués

Fichiers/dossiers inclus deux fois dans le même dossier
Lorsque vous incluez un fichier ou un dossier dans l'un des dossiers du projet, MacImage vérifie que la rubrique n'existe pas déjà. Si le chemin d'accès est strictement le même (sur le disque d'origine), l'opération est annulée purement et simplement.
Notez bien que cela n'empêche pas d'inclure un fichier ou un dossier à plusieurs endroits dans le projet.

Fichiers/dossiers portant le même nom
La situation n'est pas tout à fait la même lorsque le fichier/dossier en cours d'inclusion se trouve avoir le même nom qu'un autre fichier/dossier que vous aviez déjà inclus dans le projet. Les systèmes de fichiers, d'une manière générale, interdisent cela, mais vous pouvez avoir de bonnes raisons de le faire malgré tout (exemple d'un fichier qui doit avoir le même nom dans la vue ISO et dans la vue HFS, mais dont le contenu est différent).
La solution que nous avons retenue est d'obliger l'utilisateur à sélectionner une vue partielle (Vue ISO ou Vue HFS) avant d'effectuer cette inclusion spéciale et d'exiger que le nom identique ne soit inclus que dans l'autre vue.
Si nous sommes en vue HFS et que le fichier existant n'est inclus que dans la vue ISO ou, inversement, si nous sommes en vue ISO et que le fichier existant est inclus dans la vue HFS seulement, l'inclusion est acceptée.
Si nous sommes en vue hybride, ou si le fichier était déjà inclus dans la vue affichée (ISO ou HFS), le programme affiche un message d'erreur et abandonne l'opération.


Installer des applications Macintosh

Introduction
Les exemples de sessions de travail que nous avons présentées ne traitent que des fichiers de données et n'abordent pas la question des applications Macintosh. Nous donnons ci-dessous quelques explications sur la nature des programmes Macintosh et sur les raisons pour lesquelles ces fichiers doivent être traités spécifiquement.
Nous décrivons ensuite deux méthodes destinées à récupérer des applications Macintosh dans de bonnes conditions pour les placer ensuite sur un CD-ROM.

Programmes Macintosh
Les fichiers Macintosh se composent de deux branches. Les programmes (applications) ne sont pas stockés dans la branche de données, mais dans la branche de ressources.
La branche de ressources n'est pas un flux non structuré d'octets, mais une sorte de base de données. A l'origine, cette solution a été retenue pour accélérer l'accès aux éléments des ressources. Aujourd'hui encore, même dans le cas de programmes pour PowerPC (dont le code est placé dans la branche de ressources) et pour MacOS X, il est nécessaire d'avoir une branche de ressources pour que le Finder lance l'application.
Lorsque l'on manipule des programmes Macintosh sur un PC, le problème le plus fréquent est la « perte » de la branche de ressources.

Comment récupérer une application en bon état ?
Il y a deux méthodes pour récupérer une application Macintosh en bon état et l'installer sur un CD-ROM avec MacImage. Le fichier peut être :

  • copié depuis un support magnétique Macintosh ou assimilable,
  • téléchargé depuis un serveur sur l'Internet.

Copie depuis un support magnétique
Ce support magnétique peut être un CD-ROM (HFS, HFS+, hybride HFS/ISO 9660 ou ISO avec Extensions Apple), un lecteur physique (disquette, Zip, formaté HFS, HFS+, ou même MS-DOS dans le cas d'un support DOS sur lequel des fichiers Macintosh ont été copiés sur un Mac) ou encore un serveur NTFS géré sous SFM.
Les opérations ne sont pas aussi simples qu'elles devraient l'être (puisqu'il faut utiliser un second programme, à savoir notre MacDisk), mais sans être malgré tout complexes.
Lancez MacDisk et ouvrez le support Macintosh contenant l'application. Passez en mode MacBinary. Copiez le fichier sur le disque dur du PC. Dans ces conditions, les deux branches du fichier ainsi que les informations du Finder (nom, signature, etc.) sont copiées ensemble dans un « conteneur ».
Lancez maintenant MacImage, ouvrez soit le projet dans le cas d'un CD-ROM hybride, soit la partition virtuelle dans le cas d'un CD-ROM purement HFS, soit encore le projet ISO avec Extensions Apple, et copiez le fichier que vous venez de sauvegarder sur le disque dur du PC. MacImage détecte automatiquement qu'il s'agit d'un fichier MacBinary et exécute la copie dans ce mode. Cela permet de traiter correctement les deux branches dont se composent les fichiers Macintosh et de les placer là où elles doivent être sur le support. L'un des avantages de la norme MacBinary est précisément de permettre de déplacer dans un seul fichier (fichier conteneur) les deux branches sans les détruire.

Téléchargement depuis un site Internet
Les applications Macintosh sont généralement stockées sur les serveurs sous la forme de fichiers conteneurs. Les deux formats les plus fréquents sont la norme MacBinary et la norme BinHex.
Généralement, il est conseillé d'utiliser le format BinHex si l'on utilise des lignes de télécommunication bruyantes et si le Macintosh sur lequel on veut installer l'application est ancien. Par opposition, les fichiers MacBinary sont généralement plus petits et se téléchargent donc plus rapidement.
Par opposition, si l'on télécharge l'application à partir d'un PC, on ne souhaite aucune décompression, mais il faut tenir compte du comportement des différents navigateurs ou clients FTP.
Le fait que certains éditeurs ne laissent plus télécharger un installateur ou une application complète depuis leur site, mais obligent à ne télécharger qu'un mini-installateur qui commande le reste de l'installation en obligeant à être en ligne (exemple de l'installation de QuickTime), ne facilite pas les opérations d'inclusion d'applications sur les CD-ROM de données.

Exemples, trucs et astuces
Nous avons effectué des essais avec différentes applications, et nous donnons quelques exemples sur notre site Internet. Nous y publierons des mises à jour et de nouveaux exemples au fur et à mesure. A noter que si vous créez un CD-ROM à titre professionnel et que vous y joignez ainsi une application, il est indispensable de vérifier que le téléchargement s'est bien déroulé. Normalement, la seule méthode est d'effectuer un essai d'installation. Sur certains serveurs très occupés comme ceux de Microsoft ou de Netscape, il est parfois très difficile de réussir son téléchargement, surtout lorsque le fichier téléchargé occupe plusieurs mégaoctets.

Quelques pages complémentaires

  • Flash
  • Director

Retour à la page « Comment faire... ».


Director

Introduction
Le programme Director, de Macromedia, occupe une place un peu à part dans la série des applications existant à la fois sur le Macintosh et sur le PC, en ce sens que si vous programmez sur l'une des plates-formes, il vous faut malgré tout disposer de l'autre (et de l'application sur l'autre plate-forme) pour produire les exécutables.
On notera cependant que dans le domaine du multimédia les différences, subtiles ou non, qui existent entre les deux systèmes d'exploitation sont suffisantes pour justifier au moins un contrôle poussé.
Voyez cependant ci-dessous un petit 'truc' qui pourra éventuellement vous aider.

Comment transférer son projecteur vers le PC ?
Vous avez recompilé le projecteur sur le Macintosh et vous avez pris le temps de vérifier soigneusement son fonctionnement. Vous souhaiteriez maintenant le retransférer vers le PC, par exemple pour le placer dans un projet de CD-ROM hybride créé avec MacImage. L'erreur la plus courante est de transférer le fichier à l'aide d'un support magnétique MS-DOS, d'un CD-ROM ISO ou même d'un réseau. La plupart du temps, vous ne récupérez ainsi que la branche de données, si bien que l'application ne peut pas s'exécuter (erreur -39).
Si le fichier est stocké sur un support physique (formaté HFS, MS-DOS, ISO 9660) ou sur un serveur NTFS sous SFM (nous n'avons pas d'expérience avec d'autres logiciels de réseau), vous pouvez utiliser notre MacDisk pour récupérer le fichier correctement sous la forme d'un conteneur MacBinary. Voir la description plus générale donnée à propos de l'installation d'applications Macintosh.

Problèmes de correspondance des caractères entre Macintosh et PC
Lorsque des textes accentués sont transférés entre le Macintosh et le PC, les caractères ne sont pas correctement convertis. Un fichier nommé FONTMAP.TXT, se trouvant dans le répertoire/dossier Director vous permet de définir la correspondance des caractères pour les transferts entre Macintosh et PC.

Un 'truc' pour ne pas recompiler sur l'autre plate-forme
Nous avons relevé un truc sur un newsgroup. Un participant a suggéré de toujours appeler le premier film du même nom, par exemple movie1.dir, et d'avoir ainsi un projecteur minimal qui ne contient qu'un 'go to movie1.dir'. Ce projecteur est compilé une fois pour toutes sur l'autre plate-forme, ce qui vous libère de la nécessité de recompiler et donc d'avoir une licence.
Cela ne veut pas dire par contre que cela peut vous éviter de faire des essais. Les occasions d'avoir des « petites » choses à corriger sont trop nombreuses pour jouer à la roulette russe.

Retour à la page « Comment faire... ».


Flash

Flash 4 et le format Macintosh
Depuis la version 4, Flash permet de créer sur le PC des animations sous la forme d'exécutables Macintosh. Il s'agit là d'une simplification considérable par rapport à la situation qui était celle de Director, où il est nécessaire de recompiler l'application sur le Macintosh pour obtenir un exécutable. Toutefois, le fichier obtenu n'est pas directement exploitable. Il s'agit d'un fichier au format BinHex, qu'il faut traiter avec certaines précautions pour qu'il reste exécutable.

Nos solutions
Nos programmes savent gérer le fichier BinHex et peuvent placer correctement les éléments dont il se compose sur le support Macintosh.
MacImage détecte automatiquement qu'il s'agit d'un fichier BinHex et le décompose selon les règles de l'art quand vous le déposez dans la fenêtre du projet de CD-ROM hybride (en mode Projet, mode par défaut du programme). A noter qu'il ne sert à rien de placer un fichier binhex dans la vue ISO. On se placera donc en vue HFS pour ce fichier.
En mode Partition, le comportement est similaire, sinon que la copie et le décodage s'effectuent immédiatement.
Vous obtenez ainsi un CD-ROM à partir duquel l'application peut être lancée par un double clic de la souris.

Flash et les sous-dossiers
L'une des restrictions clairement énoncées dans la documentation de Flash est que les fichiers de données (swf) ne doivent pas être stockés ailleurs que dans le dossier du programme de projection. Il semble que cette limite ne soit pas appliquée trop strictement sur le PC, contrairement au Mac. On nous a en effet rapporté qu'une présentation tournait correctement sur un PC avec des fichiers disséminés tout au long d'une arborescence de dossiers, mais que ce même programme de projection ne montrait que la première couche en arrivant sur le Mac.
Ne l'oubliez pas !

Flash et les niveaux (levels)
Nota bene : ces renseignements nous ont été fournis par Thierry Peterburger, que nous tenons à remercier très sincèrement. Les croquis ont également été réalisés par ses soins.
Dans le cas de fichiers Flash simples contenant un level unique, aucun problème important n'est à relever. Par contre lorsque le programme en contient plusieurs, il est nécessaire de créer une étape de lancement supplémentaire :
Côté PC, il est possible de lancer directement un fichier « constructeur » des différents levels alors que sous MAC, le lecteur se lance bien mais ne lance pas d'animation. Pour contrer cela il suffit de lancer un fichier intermédiaire qui se charge de lancer le fichier constructeur de levels. Voir les deux schémas ci-dessous.

Autre restriction importante :
Le fond de base annoncé dans le fichier « constructeur » n'est pas toujours repris sous MAC et il est nécessaire de le forcer dans le fichier « debut.swf » en plaçant un fond noir le calque de fond.

Retour à la page « Comment faire... ».


Mise à jour d'un projet

Introduction
Il existe plusieurs circonstances dans lesquelles il est nécessaire de rafraîchir ou mettre à jour un projet (vérifier que les fichiers et dossiers inclus dans le projet sont toujours présents ou accessibles) et, en conséquence, plusieurs options sont proposées par MacImage en ce sens :

  • Rubrique 'Rafraîchir projet' dans le Menu Spécial, à utiliser à n'importe quel moment, par exemple quand vous rouvrez un projet ancien ;
  • Option 'Rafraîchir projet' proposée dans la fenêtre de lancement de la compilation de l'image ;
  • Option 'Rafraîchir le contenu de ce dossier' dans la boîte de propriétés d'un dossier ;
  • Fonction de recherche d'un fichier manquant ;
  • Rubrique 'Modifier chemin d'accès' dans le Menu Spécial.

Menu 'Rafraîchir projet'
Cette rubrique du Menu Spécial permet de lancer un contrôle complet de l'existence des fichiers et des dossiers inclus dans le projet courant. Elle met à jour les dates et les tailles des fichiers et des dossiers dans le projet.
En outre, elle affiche une liste des fichiers manquants et modifiés, qui peut être imprimée pour faciliter le travail (voir le menu 'Fichier' de ce module).

MacImage corrige ensite l'affichage des données :

Les diodes rouges (voir ci-dessus) indiquent que le fichier n'est plus présent à l'endroit où il se trouvait précédemment. Son nom peut avoir été modifié, ou encore il peut avoir été déplacé. Si vos fichiers se trouvent sur le serveur d'un réseau, vérifiez également que les conditions d'accès sont assurées.

Option de compilation 'Rafraîchir projet'

Cette option est proposée dans la fenêtre de lancement de la compilation et elle est destinée à traiter le problème des fichiers dont la taille peut varier considérablement, ce qui gênerait la compilation.
À noter que les fichiers ou dossiers manquants sont simplement ignorés dans la compilation.

Option 'Rafraîchir le contenu de ce dossier'

Il existe des dossiers dont le contenu change fréquemment.
Normalement, le contenu inclus dans le projet de CD-ROM est l'état de ce dossier au moment de l'inclusion. C'est le comportement classique de tous les programmes qui utilisent le même concept de projet. Vérifiez avec votre logiciel favori de gravure de CD-ROM.
Cependant, vous pouvez souhaiter que le contenu du dossier soit rafraîchi, c'est-à-dire que les fichiers nouvellement créés dans ce dossier soient également inclus dans le projet.
Il faut dans ce cas cocher cette case et appeler la rubrique 'Rafraîchir projet' dans le Menu Spécial ou bien cocher l'option 'Rafraîchir projet' dans la fenêtre de lancement de la compilation (voir ci-dessus).

Fonction de recherche d'un fichier/dossier manquant
Lorsque vous faites un clic droit sur un fichier/dossier manquant dans le volet de liste (volet de droite), le programme affiche un menu contextuel offrant une fonction supplémentaire :

Sélectionnez cette fonction pour lancer la recherche :

À la fin de la recherche (qui peut être assez longue si vous cherchez sur tous les disques accessibles depuis votre poste de travail), MacImage affiche dans sa fenêtre de dialogue la liste des fichiers qui ont été trouvés :

Si vous cliquez deux fois sur l'un des fichiers énumérés dans la liste, ou encore si vous cliquez une fois, puis sur le bouton 'Remplacer', il vient prendre la place du précédent (manquant) dans la partie supérieure de la fenêtre.

Notez bien que le chemin d'accès du fichier a été modifié (le fichier avait simplement été remonté d'un cran dans l'arborescence).
Vous pouvez alors valider l'opération, on encore annuler pour revenir à l'état antérieur.

Fonction de modification du chemin d'accès
La rubrique 'Modifier chemin d'accès', dans le Menu Spécial, vous permet de répondre à une situation similaire, celle où toute une arborescence de fichiers et de dossiers a été déplacée, d'un disque à un autre ou encore d'un niveau à un autre dans une arborescence.
Par exemple, tous les fichiers qui étaient placés sous 'C:\Mes documents\Projet CD' se trouvent désormais sous 'D:\Projet CD'.
Dans ce cas, la recherche individuelle des fichiers/dossiers (voir ci-dessus) ne convient évidemment pas.
Lorsque vous appelez cette fonction, MacImage affiche la fenêtre de dialogue suivante :

Spécifiez le chemin d'origine, ainsi que le chemin de destination. Lancez l'opération pour remplacer.
Attention, cette fonction est puissante, mais aussi potentiellement destructrice.


Modifier les codes d'inclusion

Introduction
Lorsque vous êtes en train d'ajouter des fichiers et des dossiers au projet, il peut naturellement se produire que vous fassiez des erreurs. Tel fichier ou tel dossier ne doit pas, par exemple, être visible pour les utilisateurs PC, ou encore pour les utilisateurs Macintosh.

État d'inclusion
Lorsque vous êtes en Vue hybride, MacImage affiche l'état d'inclusion des rubriques sous la forme de deux petites diodes :

La petite diode jaune, sur la gauche, indique que la rubrique est incluse dans la Vue ISO. La petite diode verte, sur la droite, indique quant à elle que la rubrique est incluse dans la Vue HFS.

Modifier l'état d'inclusion
MacImage vous permet naturellement de modifier l'état d'inclusion. Faites un clic droit sur la rubrique et choisissez l'option Propriétés.
Le programme affiche la fenêtre de dialogue suivante, où vous pouvez modifier les codes d'inclusion.

S'il se trouve que vous aviez sélectionné plusieurs rubriques avant d'effectuer le clic droit, la fenêtre affichée est un petit peu différente, mais vous permet tout de même d'effectuer les modifications :


Produire un CD-ROM hybride

Introduction
Afin de vous aider à exploiter les fonctions de MacImage, nous vous présentons ci-dessous un exemple de session de travail montrant toutes les opérations nécessaires pour produire un CD-ROM hybride (ISO 9660 et HFS/Macintosh) en utilisant le mode Projet du programme.
Si vous souhaitez produire un CD-ROM purement Macintosh, ou encore un CD-ROM ISO 9660 avec Extensions Apple (Mode ISO+, veuillez consulter les autres exemples de session de travail, accessibles depuis la page « Comment faire... ».

Cinq étapes
Les opérations de production du CD-ROM se décomposent en cinq étapes, qui sont les suivantes :

  • Sélection des fichiers de données,
  • Édition de chacune des vues,
  • Compilation du fichier image,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM.

Applications Macintosh
Pour que cet exemple de session reste simple, nous ne traitons que des fichiers de données (par exemple, des fichiers HTML ou des fichiers TIFF, etc.). Placer des applications Macintosh sur un CD-ROM est un peu plus compliqué, et nous vous conseillons d'effectuer d'abord un essai avec des fichiers de données avant de consulter notre page sur l'installation d'applications Macintosh.

Retour à la page « Comment faire... ».


Sélection des fichiers de données

Mode Projet
Lorsque le programme est lancé, il est par défaut en mode Projet, celui que nous allons utiliser dans cette présentation. Les fichiers que vous allez placer dans le projet sont stockés sur votre disque dur et nous allons simplement les placer dans le projet par une opération de glisser-déposer. Sélectionnez les fichiers dans une fenêtre de l'Explorateur (Mon ordinateur, Explorateur ou encore Recherche de fichiers). Puis enfoncez le bouton droit de la souris et faites glisser l'ensemble vers la fenêtre de MacImage (volet de gauche ou volet de droite).
MacImage ouvre au lancement un projet par défaut, ce qui permet de travailler directement. Par contre, si vous voulez travailler de manière ordonnée et conserver vos fichiers de projet (parce qu'ils doivent être réutilisés, par exemple), il est préférable d'ouvrir un fichier de projet, que vous placez à l'endroit de votre disque dur que vous décidez.
À noter que, à ce stade, les fichiers ne sont pas copiés physiquement. Le programme se contente de stocker une liste (sous la forme d'un arbre) dans le fichier de projet.

Les trois vues
MacImage offre trois modes de visualisation, appelées vues (Vue ISO, Vue hybride et Vue HFS). La vue sélectionnée est affichée dans la ligne d'état et elle est représentée par un bouton enfoncé dans la barre des outils :

Vous remarquerez que, à droite du bouton, se trouve une pointe de flèche tournée vers le bas :

Cliquez sur cette flèche pour appeler un menu qui est plus explicite :

Différences entre les modes
Dans le premier mode (vue ISO), on ne voit que les fichiers et dossiers qui seront visibles depuis la vue ISO du CD-ROM. De la même manière, dans le mode HFS, on ne voit que les fichiers et dossiers qui seront visibles depuis la vue HFS. Enfin, le mode hybride montre l'ensemble des fichiers, y compris ceux qui ne sont sélectionnés dans aucune des deux vues. Par défaut, le programme fonctionne en affichage hybride. Tous les fichiers qui sont copiés vers le projet dans ce mode sont intégrés dans les deux vues ISO et HFS.
A l'inverse, si vous sélectionnez une autre vue (ISO ou HFS) et si vous glissez de nouveaux fichiers, ils ne sont inclus que dans la vue considérée.

Au travail...
Après ces quelques explications, il est temps de faire quelque chose de concret. Sélectionnez quelques fichiers dans l'Explorateur et glissez-les vers la fenêtre de MacImage.

Cinq étapes :

  • Sélection des fichiers de données (cette page),
  • Édition de chacune des vues,
  • Compilation du fichier image,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM.


Édition de chacune des vues

Changer de vue
La vue hybride affiche tous les renseignements sur votre projet.
Si vous passez en vue ISO, les changements que vous opérez dans la vue ISO n'intéressent que la vue ISO. Par exemple, si vous renommez l'un des fichiers, ce nouveau nom sera vu dans la partition ISO, mais non pas dans la partition HFS, et inversement.
Il en va de même dans la vue HFS.
Lorsque vous êtes en Vue hybride, MacImage affiche l'état d'inclusion des rubriques sous la forme de deux petites diodes :

La petite diode jaune, sur la gauche, indique que la rubrique est incluse dans la Vue ISO. La petite diode verte, sur la droite, indique quant à elle que la rubrique est incluse dans la Vue HFS.

Modifier l'état d'inclusion
MacImage vous permet naturellement de modifier l'état d'inclsuion. Faites un clic droit sur la rubrique et choisissez l'option Propriétés.
Le programme affiche la fenêtre de dialopgue suivante, où vous pouvez modifier les codes d'inclusion.

Vous noterez également que c'est dans cette boîte que vous sélectionnez le fichier qui sera le support du Démarrage automatique.

S'il se trouve que vous aviez sélectionné plusieurs rubriques avant d'effectuer le clic droit, la fenêtre affichée est un petit peu différente, mais vous permet tout de même d'effectuer les modifications :

Une fois que vous êtes satisfait du projet (tous les fichiers sont bien inclus, etc.), il est temps de passer à la compilation de l'image.

Cinq étapes :

  • Sélection des fichiers de données,
  • Édition de chacune des vues (cette page),
  • Compilation du fichier image,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM.


Compilation du fichier image

L'opération de compilation du fichier image est similaire à celle effectuée par un logiciel de gravure lorsque vous ne gravez pas directement, mais créez une image ISO sur le disque dur du PC. Vous déterminez tout d'abord les fichiers à inclure dans le CD-ROM, puis vous fabriquez le CD-ROM (en gravant directement ou encore en passant par un fichier image).
Le principe est strictement le même avec MacImage. Cliquez sur le bouton de compilation (voir ci-dessous) :

MacImage vous demande d'abord de donner un nom de fichier (c'est le fichier qui contiendra l'image, à ne pas confondre avec le projet, qui ne contient qu'une liste).
MacImage affiche la fenêtre de dialogue suivante :

Voir la copie d'écran.

Cette fenêtre indique le nombre de fichiers inclus dans le projet et dans chacune des vues, ainsi que le nom du volume ISO et du volume HFS. Ces deux chaînes peuvent être éditées. Si le projet que vous voulez compiler ne contient pas de fichiers dans la vue ISO ou dans la vue HFS, le programme vous le signale et vous demande de confirmer ou d'annuler l'opération.

Lancez la compilation. MacImage crée un fichier à extension *.iso qui contient l'ensemble des données. Vous n'avez plus qu'à le graver.

Cinq étapes :

  • Sélection des fichiers de données,
  • Édition de chacune des vues,
  • Compilation du fichier image (cette page),
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM.


Gravure du CD-ROM

Vous n'avez plus maintenant qu'à ouvrir votre logiciel de gravure préféré et à lui demander de graver l'image que nous venons de créer. Vérifiez bien, le cas échéant, que votre logiciel sélectionne bien le mode 1.
Tous les grands logiciels du commerce savent graver des images de CD-ROM. A noter cependant que tous ne se comportent pas de la même manière vis-à-vis des images (ISO ou non).
Dans Nero, la rubrique s'appelle Graver image et se trouve dans le menu Fichier.
Dans Easy CD Creator, elle s'appelle Enregistrer CD-ROM à partir d'une image et se trouve également dans le menu Fichier.
Veuillez consulter notre FAQ CD-ROM et notre FAQ MacImage, où nous publions régulièrement des renseignements recueillis sur les différents logiciels diffusés dans le commerce.

Cinq étapes :

  • Sélection des fichiers de données,
  • Édition de chacune des vues,
  • Compilation du fichier image,
  • Gravure du CD-ROM (cette page),
  • Contrôle du CD-ROM.


Contrôle du CD-ROM

Faut-il tester ?
En fonction de votre projet, vous souhaitez peut-être en terminer le plus rapidement possible. Il faut cependant réaliser certains essais, d'autant plus que votre CD-ROM est produit à titre professionnel. Lorsque vous aurez acquis une certaine expérience de vos outils, vous pourrez relâcher un peu l'attention.

Comment tester ?
La meilleure manière, pour contrôler le résultat des opérations de création d'un CD-ROM hybride, est naturellement de graver l'image et de la tester sur les deux ordinateurs de destination. Cette vérification est indispensable dans le cas d'un CD-ROM créé à titre professionnel, d'autant plus si vous avez installé des programmes dans l'une ou l'autre des deux vues.

Tests sur PC
Cependant, des contrôles formels sont accessibles sans même graver l'image.
La vue ISO peut être ouverte avec des programmes comme WinImage, ISOBuster ou CDMage (voir notre FAQ CD-ROM pour les adresses). La vue HFS, quant à elle, peut être ouverte par MacImage fonctionnant en mode Partition.
Dans les deux cas, le contrôle s'effectue simplement en recopiant un ou plusieurs des fichiers vers le disque dur du PC et en effectuant une comparaison entre le fichier original et le fichier recopié. Il existe de très nombreux programmes de comparaison de fichiers. Nous utilisons généralement l'utilitaire FC, livré avec le système d'exploitation. La syntaxe de l'instruction est la suivante :

FC /B fichier1.ext fichier2.ext
où les noms des fichiers peuvent être des chemins d'accès complets (ce qui permet de comparer des fichiers stockés dans des dossiers ou sur des disques différents).

Cinq étapes :

  • Sélection des fichiers de données,
  • Édition de chacune des vues,
  • Compilation du fichier image,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM (cette page).


Produire un CD-ROM purement HFS

Introduction
Afin de vous aider à exploiter les fonctions de MacImage, nous vous présentons ci-dessous un exemple de session de travail montrant toutes les opérations nécessaires pour produire un CD-ROM purement Macintosh en utilisant le Mode Partition du programme.
Si vous souhaitez produire un CD-ROM hybride avec partage des fichiers entre les deux vues du CD-ROM ISO 9660, ou encore un CD-ROM ISO avec Extensions Apple, veuillez consulter les autres exemples de session de travail, accessibles depuis la page « Comment faire... ».

Séquence des opérations

  • Création d'une partition virtuelle,
  • Origine des fichiers de données,
  • Copie des fichiers entre le PC et la partition Macintosh,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM,
  • Remerciements.

Applications Macintosh
Pour que cet exemple de session reste simple, nous ne traitons que des fichiers de données (par exemple, des fichiers HTML ou des fichiers TIFF, etc.). Placer des applications Macintosh sur un CD-ROM est un peu plus compliqué, et nous vous conseillons d'effectuer d'abord un essai avec des fichiers de données avant de consulter notre page sur l'installation d'applications Macintosh.


Origine des fichiers de données

Pour notre exemple, nous allons réaliser un CD-ROM purement Macintosh sur lequel nous placerons deux fichiers. Ces fichiers sont deux manuels qui ont été réalisés dans Xpress, puis imprimés dans un fichier PostScript, et enfin transformés en fichiers PDF par le Distiller d'Adobe.
Il ne s'agit naturellement que d'un exemple. Nous avons affaire à des fichiers de données qui sont compatibles entre les deux plates-formes, et qui ne posent donc pas de problèmes de compatibilité ou de conversion.

Il va de soi que les fichiers de données pourraient être d'autres fichiers (des images créées dans Photoshop ou dans Illustrator, des présentations PowerPoint, des fichiers Word ou Excel, des fichiers HTML, etc.). Cette liste n'est naturellement pas limitative. Dans d'autres cas, où la compatibilité entre les plates-formes pose plus de problèmes, nous vous conseillons de visiter nos pages de trucs et astuces.

On pourrait également imaginer que les fichiers se trouvent non pas sur un support PC, mais sur un support Macintosh. Dans ce cas, vous auriez à récupérer d'abord les fichiers sur le PC, par exemple avec notre programme MacDisk, qui peut se révéler un complément indispensable dès lors que la création de CD-ROM Macintosh n'est pas une activité épisodique pour vous.

Séquence des opérations

  • Création d'une partition virtuelle,
  • Origine des fichiers de données (cette page),
  • Copie des fichiers entre le PC et la partition Macintosh,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM,
  • Remerciements.


Création d'une partition virtuelle

Changement de mode de travail
Vous devez tout d'abord passer en Mode Partition. Cela se fait dans le menu 'Options', rubrique 'Mode de travail'. Vous pouvez également utiliser le raccourci clavier CTRL M, qui bascule successivement de mode en mode.

Création de la partition
Nous allons maintenant créer une partition Macintosh virtuelle sur le PC pour y placer les données. N'oublions pas en effet qu'un CD-ROM HFS est une image intégrale, complète, d'un volume magnétique (y compris la partie vide, qui ne contient pas de fichiers). Notez bien que MacImage efface totalement le contenu de la partition créée, ce qui vous permet d'être sûr que personne ne pourra aller à la recherche de fichiers sensibles qui avaient été supprimés mais dont le contenu restait stocké sur votre disque dur.

Quand vous sélectionnez la rubrique 'Nouvelle' dans le menu 'Partition', MacImage vous demande d'abord de donner un nom PC au fichier (avec l'extension HFS par défaut). Ensuite, vous devez saisir les caractéristiques de votre volume Macintosh virtuel dans la fenêtre de dialogue ci-dessous :

Dans cet exemple, la partition créée sera de 50 Mo. Nous avons choisi l'option d'extensibilité, c'est-à-dire que nous prenons des unités d'allocation de grande taille pour permettre ultérieurement de corriger la taille de la partition. L'autre option est plus économe en place, mais moins extensible.
Enfin, on peut ou non remplir la partition de zéros. A noter que cette partition est un fichier sur votre disque dur. Quand elle est créée, son contenu est indéfini, mais peut très bien reprendre les données d'anciens fichiers supprimés, où vous pourriez avoir des données confidentielles.
Il est également possible de choisir entre le formatage HFS et HFS+ (Mac OS Étendu). D'une manière générale, il est préférable de choisir HFS pour les petites partitions et HFS+ pour les partitions de plus grande taille.

Nous validons en cliquant sur 'Création'.
MacImage effectue le travail de partitionnement et crée la partition demandée. Nous allons maintenant copier les fichiers sur cette partition.

Nota bene : Vous pouvez également ouvrir une partition virtuelle antérieure pour y ajouter des fichiers. Voir Ouverture d'une image de CD-ROM Macintosh.

Séquence des opérations

  • Création d'une partition virtuelle (cette page),
  • Origine des fichiers de données,
  • Copie des fichiers entre le PC et la partition Macintosh,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM,
  • Remerciements.


Copie des fichiers entre le PC et la partition Macintosh

Nous allons recopier les fichiers de données. Sur le Macintosh, la nature des fichiers n'est pas exprimée sous la forme d'une extension, mais sous celle d'une chaîne de caractères qui n'est pas affichée, et que nous appelons la signature. La signature des fichiers PDF est "CARO" pour le créateur du fichier et "PDF " pour le type de fichier (attention au dernier caractère, qui est un espace – les signatures se composent de deux fois quatre caractères). Ces paramètres doivent être entrés dans la table du programme (gérée dans un fichier d'extension *.sig) en utilisant l'éditeur SignEdit.
Si vous ne connaissez pas la signature que doivent porter vos fichiers de données, il est nécessaire de la relever sur un support Macintosh à l'aide d'un de nos programmes de transfert (la signature est affichée dans la dernière colonne de l'écran, complètement à droite). A noter également que nous donnons une liste des signatures les plus courantes dans l'aide.

Lançons l'opération de copie vers le Macintosh en cliquant sur le bouton 'PC->Mac'. Sélectionnons les deux fichiers à copier et lançons la copie dans la fenêtre de dialogue qui s'ouvre.
Notez bien que vous pouvez également placer les fichiers par glisser-déposer, depuis n'importe quelle fenêtre de l'Explorateur, et par copier-coller.
MacImage exécute l'instruction et affiche le contenu du volume. La partition Macintosh virtuelle contient désormais les fichiers voulus.

Séquence des opérations

  • Création d'une partition virtuelle,
  • Origine des fichiers de données,
  • Copie des fichiers entre le PC et la partition Macintosh (cette page),
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM,
  • Remerciements.


Gravure du CD-ROM

Vous n'avez plus maintenant qu'à ouvrir votre logiciel de gravure préféré et à lui demander de graver l'image que nous venons de créer. Vérifiez bien, le cas échéant, que votre logiciel sélectionne bien le mode 1, et n'utilise pas le mode audio par défaut dans le cas d'une image qu'il ne connaît pas (qu'il n'a pas produite).

Tous les grands logiciels du commerce savent graver des images de CD-ROM.
À noter cependant que tous ne se comportent pas de la même manière vis-à-vis des images (ISO ou non). Certains n'apprécient pas l'extension *.hfs utilisée par défaut par MacImage. Dans ce cas, utilisez l'extension *.iso. C'est la solution la plus simple parce que la plupart des logiciels de gravure ne regardent pas à l'intérieur des fichiers.
Veuillez consulter notre FAQ CD-ROM et notre FAQ MacImage, où nous publions les derniers renseignements obtenus pour les différents logiciels diffusés dans le commerce.

Enfin, sur le Macintosh, vous obtenez le résultat de vos efforts :

Séquence des opérations

  • Création d'une partition virtuelle,
  • Origine des fichiers de données,
  • Copie des fichiers entre le PC et la partition Macintosh,
  • Gravure du CD-ROM (cette page),
  • Contrôle du CD-ROM,
  • Remerciements.


Contrôle du CD-ROM

La meilleure manière, pour contrôler le résultat des opérations de création d'un CD-ROM Macintosh (purement HFS), est naturellement de graver l'image et de la tester sur l'ordinateur de destination. Cette vérification est indispensable dans le cas d'un CD-ROM créé à titre professionnel, d'autant plus si vous avez installé des programmes.

Cependant, des contrôles formels sont accessibles sans même graver l'image.
Cela s'effectue simplement en recopiant un ou plusieurs des fichiers vers le disque dur du PC et en effectuant une comparaison entre le fichier original et le fichier recopié. Il existe de très nombreux programmes de comparaison de fichiers. Nous utilisons généralement l'utilitaire FC, livré avec le système d'exploitation. La syntaxe de l'instruction est la suivante :

FC /B fichier1.ext fichier2.ext

où les noms des fichiers peuvent être des chemins d'accès complets (ce qui permet de comparer des fichiers stockés dans des dossiers ou sur des disques différents).

Séquence des opérations

  • Création d'une partition virtuelle,
  • Origine des fichiers de données,
  • Copie des fichiers entre le PC et la partition Macintosh,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM (cette page),
  • Remerciements.


Remerciements

Cette présentation de la création d'un CD-ROM Macintosh repose sur les notes prises par Joseph Iano (Amphion Communications, http://www.amphioncom.com). Joseph Iano a été l'un de nos premiers utilisateurs et son intervention a été extrêmement utile pour nous aider à formuler le contenu de ces pages en nous plaçant dans la perspective d'un utilisateur.

Séquence des opérations

  • Création d'une partition virtuelle,
  • Origine des fichiers de données,
  • Copie des fichiers entre le PC et la partition Macintosh,
  • Gravure du CD-ROM,
  • Contrôle du CD-ROM,
  • Remerciements (cette page).


Un site Web sur CD-ROM

Introduction
Les concepteurs de sites Web souhaitent fréquemment réaliser un CD-ROM contenant l'ensemble des fichiers composant un site Web, afin de permettre la consultation hors ligne. Quand on ne connaît pas l'équipement informatique des utilisateurs potentiels, il est souhaitable de réaliser un CD-ROM hybride qui sera exploité dans les meilleures conditions aussi bien sur un PC que sur un Macintosh.
Du fait que les fichiers utilisés sur l'Internet sont (heureusement !) compatibles et lisibles sur toutes les plates-formes, la question est finalement assez simple tant que l'on n'a que des fichiers de données.
Les choses se compliquent toutefois dès que l'on cherche à obtenir des effets spéciaux, à savoir dès que l'on veut installer des applications et que l'on souhaite que le CD-ROM démarre automatiquement au moment où il est installé dans le lecteur.

Fichiers de données
Dans MacImage, les fichiers de données (fichier HTML, images GIF ou JPEG, etc.) sont simplement placés (par glisser-déposer depuis l'Explorateur) dans le projet de CD-ROM, puis ce dernier est compilé pour produire un fichier-image qui sera ensuite gravé avec votre logiciel de gravure favori.
Pour plus de détails sur le processus à suivre pour produire cette image hybride, voir notre exemple illustré.

Applications (programmes)
L'installation d'applications sur le CD-ROM hybride d'un site Web (d'applications Macintosh sur la partie HFS) ne diffère pas du problème plus général des applications installées sur un support magnétique Macintosh.
Nous renvoyons donc à la page consacrée à l'installation d'applications Macintosh. Vous y trouverez notamment des développements sur les précautions à prendre pour la copie depuis un support physique Macintosh ou depuis un serveur sur l'Internet.

Lancement automatique
Le lancement automatique d'un CD-ROM, à ne pas confondre avec l'amorçage sur CD-ROM, consiste à lancer automatiquement une application ou un fichier au moment où le CD-ROM est introduit dans le lecteur d'un ordinateur en marche.
Sur le Macintosh, le principe est de placer dans la racine du CD-ROM HFS (ou de la partie HFS) un fichier dont le nom ne doit pas dépasser 11 caractères. Par exemple, index.htm(l) convient parfaitement. Le nom de ce fichier doit être placé dans le secteur d'amorçage du volume en respectant certaines conditions (voir la Note technique d'Apple sur le sujet). MacImage sait le faire sur une partition Macintosh (ou sur la partie Macintosh d'une image hybride HFS/ISO 9660).
Notez bien cependant que 99 % des utilisateurs avertis du Macintosh inhibent cette fonction de peut de s'exposer à une attaque virale.

Lancement automatique de Netscape Navigator
La signature du fichier, pour lancer Netscape Navigator, est MOSS pour le créateur et TEXT pour le type de fichier.

Lancement automatique de MS Internet Explorer
Pour lancer Microsoft Internet Explorer, la signature de ce fichier doit être MSIE pour le créateur et TEXT pour le type de fichier.
Il est également possible de pointer sur un fichier de raccourci contenant une adresse plus complexe. Dans ce cas, le raccourci doit avoir comme signature MSIE pour le créateur et LINK pour le type de fichier. Le contenu peut être par exemple :
[InternetShortcut]
URL=file://Test/Test.html
Cela présente l'avantage de pouvoir lancer un fichier dont le nom fait plus de 11 caractères et aussi de lancer une page qui n'est pas nécessairement dans la racine du disque.

Lancement automatique du navigateur par défaut
Naturellement, vous souhaiteriez que le CD-ROM lance automatiquement le navigateur par défaut qui est installé sur le Macintosh, comme on le fait sur un PC avec une instruction start index.htm(l).
La première solution est d'espérer que l'extension Échanges de fichiers, sur le Macintosh de destination, sera correctement paramétrée, et notamment que les suffixes htm et html seront associés au navigateur par défaut. Inutile de dire que c'est rarement le cas, et qu'il est illusoire d'attendre un comportement cohérent de cette extension sur tous les ordinateurs de destination.
La seconde solution est d'utiliser l'addition de script "Apple Browser Launcher", qui existe sur les Macintosh depuis la version 8 de Mac OS. Cette restriction est déjà plus facile à justifier, étant donné que les Macintosh qui tournent sous des versions plus anciennes encore doivent commencer à être très rares. Lorsque l'on clique sur un fichier dont le créateur est 'udog', ce lanceur démarre automatiquement et lance à son tour le navigateur par défaut. Le principe de fonctionnement est décrit dans la Technical Q&A NW60 d'Apple. J'utilise une chaîne 'text' comme type de fichier avec ce code de créateur.
Cette fonction n'existe malheureusement plus sous MacOS 9 et X. Elle prend donc de plus en plus un caractère historique.
Il serait également imaginable d'installer sur le CD-ROM un navigateur léger.

Une solution pratique
Dans ces conditions, et pour proposer une solution pratique, nous vous suggérons de procéder de la manière suivante :
Étant donné que MS Internet Explorer est le navigateur dominant sur le Macintosh, utilisez la signature MSIETEXT pour le point d'entrée du site. Vous couvrez ainsi une grande proportion des utilisateurs potentiels. Ajoutez dans la racine une copie du même fichier, portant un nom tel que « Utilisateurs d'autres navigateurs, ouvrez-moi ! » et ayant pour signature MOSSTEXT (Netscape), OPRATEXT (Opéra) ou iCABTEXT (iCab).
Cette solution n'est certainement pas satisfaisante au plan intellectuel, mais elle a le mérite d'exister et de fonctionner.

Retour à la page « Comment faire... ».


Rechercher des fichiers

Le programme offre une double fonction de recherche de fichiers, dans tous les modes de fonctionnement, à savoir une recherche par le nom et une recherche par la signature.

Recherche par le nom

Ce mode vous permet de localiser facilement un fichier lorsque vous ne savez pas précisément dans quel sous-dossier il peut se trouver. Cela peut être utile dans le cas de projets ou de volumes relativement complexes, ou dans le cas de projets que vous n'avez pas ouverts depuis longtemps.
Plutôt que d'ouvrir successivement tous les dossiers à la recherche du fichier perdu, tapez ce que vous savez de son nom dans la première ligne de la boîte et lancez la recherche.
Si un seul fichier est trouvé, ou si tous les fichiers trouvés sont dans le même dossier, le programme affiche directement le dossier en question.
Si plusieurs fichiers correspondent aux critères donnés, le programme vous offre la possibilité de choisir dans une liste de sélection, et il affiche ensuite le dossier sélectionné.
Le programme accepte seulement le caractère '*' comme joker.

Recherche par la signature

Ce mode répond à une autre démarche. Vous reprenez par exemple un projet de CD-ROM dont vous souhaiteriez savoir s'il contient des fichiers QuickTime. Ou bien vous avez copié une arborescence assez touffue de votre disque dur vers la partition Macintosh virtuelle et vous ne savez pas précisément où se trouve le film Quick Time qu'elle doit contenir.
Une consultation de la page des signatures Macintosh (en cliquant sur le bouton correspondant) vous indique que la signature est "MooV" (attention aux minuscules et aux majuscules, qui ne sont pas traitées comme équivalentes). Tapez donc cette signature dans la zone d'édition et lancez la recherche.
S'il n'y a qu'un seul fichier correspondant à vos critères, le programme affiche directement son dossier.
D'un autre côté, s'il y en a plusieurs, le programme vous affiche la liste des fichiers QuickTime présents sur le disque et vous permet de sélectionner celui qui vous intéresse. Le programme affiche alors le dossier qui le contient.

Voir également la page sur la fonction de Recherche/Remplacement de signatures.


Sélection de la vue (mode d'affichage)

Introduction
Il est possible de sélectionner le mode d'affichage (Vue ISO, Vue hybride, Vue HFS) en sélectionnant la rubrique 'Vues (Mode de travail)' dans le Menu Options.
On obtient le même résultat en utilisant le premier bouton de la barre des boutons, dont l'aspect change en raison de la vue sélectionnée :

Vous remarquerez que, à droite du bouton, se trouve une pointe de flèche tournée vers le bas :

Cliquez sur cette flèche pour appeler un menu qui est plus explicite :

Vues et inclusion des fichiers
Si vous placez les fichierers dans la Vue hybride , ils seront visibles aussi bien sur le PC que sur le Macintosh.
À l'inverse, si vous passez en vue ISO, vous ne voyez plus que les fichiers et dossiers inclus dans cette vue. De même, les fichiers et dossiers placés dans le projet ne sont inclus que dans la vue ISO du CD-ROM.
Parallèlement, si vous passez en Vue HFS, vous n'affichez que les fichiers et dossiers inclus dans la vue HFS. Les éléments placés dans le projet lorsque vous êtes dans cette vue (dans ce mode d'affichage) ne sont inclus que dans la vue HFS.

Retour à la page « Comment faire... ».


Sélection du mode de travail (Projet/Partition/ISO+)

La rubrique de menu destinée à sélectionner le mode de travail du programme (Mode Projet, Mode Partition ou Mode ISO+) se trouve dans le Menu Options.
La combinaison de touches CTRL M (comme Mode) opère le changement de mode directement.

Barre d'outils
Les différents modes se distinguent par la teinte du fond de l'écran et par la barre des outils :

Mode Projet :

Mode Partition :

Mode ISO+ :

Retour à la page « Comment faire... ».


Suppression des extensions de fichiers

MacImage vous permet de supprimer d'un seul coup toutes les extensions des fichiers dans les noms de fichiers utilisés dans la vue HFS. La rubrique de menu correspondante se trouve dans le menu Spécial.

Dans la mesure où le Macintosh n'utilise pas les extensions pour identifier le contenu des fichiers, il est ainsi possible de donner une allure plus "Macintoshienne" à vos CD-ROMs en supprimant les extensions.
Les extensions peuvent faire trois ou quatre caractères.


Module d'affichage

Fonction de visualisation
La fonction de visualisation des fichiers incluse dans le programme est assez rudimentaire, mais suffit par exemple pour distinguer deux fichiers de texte dont le nom n'est pas assez explicatif, ou encore pour se souvenir du contenu d'un fichier dont le nom est trop allusif.
Pour les fichiers binaires, elle peut être utile lorsque le format inclut des chaînes d'identification en clair.
L'affichage effectue la translittération des caractères Macintosh pour obtenir un affichage correct des lettres accentuées. Les caractères de contrôle (caractères non affichables) sont visualisés sous la forme de barres verticales. Un menu propose de choisir entre trois tables (Macintosh, DOS et Windows). Les décalages par rapport au début du fichier sont exprimés en décimal ou en hexadécimal.

L'affichage est divisé en trois parties :

  • Décalage (à gauche)
  • Codes hexadécimaux (au centre)
  • Affichage en clair (à droite).

Branches des fichiers
Si le fichier contient des données et des ressources, la fonction affiche d'abord la branche de données. Vous pouvez demander ensuite la branche de ressources.
La branche de ressources peut être affichée de deux manières : d'une part un affichage hexadécimal identique à celui de la branche de données, et d'autre part un affichage arborescent de la structure des ressources (n'oublions pas que la branche de ressources est en fait une base de données). Dans ce cas, il est possible de sauvegarder les éléments individuels des ressources, soit sous la forme d'un listing hexadécimal (commode pour le travail de recherche), soit sous la forme d'une image binaire.
Si le fichier ne contient qu'une seule branche, celle-ci est affichée directement et l'autre option reste grisée.

Plus d'informations sur les Menus.


Menus du module d'affichage

Menu Fichier

Le menu 'Fichier' permet de commuter entre l'affichage de la branche de données et de la branche de ressources, naturellement à la condition qu'elles existent toutes les deux. Ce menu offre également une rubrique 'Propriétés' pour afficher les propriétés du fichier affiché, ainsi qu'une rubrique 'Imprimer' pour imprimer le contenu brut du secteur courant.
Enfin, la dernière rubrique permet de revenir à l'écran principal de l'application.

Menu Affichage

Suivant la nature des données affichées, il peut être intéressant de sélectionner une table Macintosh, Windows ou Ascii DOS pour l'affichage des données en clair dans la colonne de droite.

Menu Numération

Le décalage dans le fichier (colonne de gauche) peut être affiché en valeurs décimales ou hexadécimales.

Retour à la Page principale du module d'affichage.


SignEdit, l'éditeur des signatures

Présentation de SignEdit
SignEdit est un module auxiliaire qui vous permet de modifier et de compléter la table utilisée par nos programmes afin d'établir la correspondance entre les signatures côté Macintosh et les extensions côté PC. Cette table est stockée dans un fichier de signatures (normalement, extension *.sig). Le fichier de signatures utilisé est stocké dans le Registre de Windows (voir le menu Options).

Lancement
Le module SignEdit est lancé directement depuis l'application principale (à partir du menu Expert/Spécial). Il ouvre directement la table qui est associée au programme.
Cette méthode du fichier de signatures (au lieu de constantes stockées dans le fichier exécutable) permet de n'utiliser qu'un seul fichier pour les différents programmes. Elle vous permet également de conserver les signatures que vous avez éventuellement modifiées en fonction de vos besoins spécifiques, notamment en cas de changement de version, etc.

Pour en savoir plus :

  • Interface utilisateur
  • Fonctions
  • Menus


SignEdit, Interface utilisateur

Interface utilisateur

L'éditeur de signatures
SignEdit charge automatiquement le fichier de signatures déclaré dans le registre pour le programme.

SignEdit affiche les données dans une liste en colonnes. Les quatre colonnes (Extension, Type de fichier, Créateur, Commentaire explicatif) ne méritent pas de commentaires particuliers. La colonne 'Commentaire' contient une chaîne de caractères à caractère explicatif, qui est affichée par le programme de transfert dans la colonne 'Type', afin de vous aider à identifier la nature des fichiers. Vous pouvez donc y placer ce qui vous convient.

Cette interface en liste permet notamment de trier les colonnes en cliquant sur leur en-tête. La colonne est triée dans l'ordre croissant au premier clic, et dans l'ordre décroissant au second clic. Cela vous permet de travailler de manière ordonnée lorsque vous lancez une session d'édition, et notamment de vérifier que vous n'avez pas introduit de doublons dans la liste. N'oubliez pas que la liste est utilisée à la fois dans le sens Macintosh vers PC et PC vers Macintosh.

Étant donné que la liste est analysée dans l'ordre des rubriques, il faut faire attention à l'ordre dans lequel celles-ci se présentent. Veillez en particulier à ce que la nouvelle rubrique que vous venez de créer n'est pas masquée par une rubrique plus ancienne.
Le menu Édition (de même que le menu contextuel appelé par le clic droit) propose une fonctions de remontée et de descente de la rubrique sélectionnée dans la liste.

Retour à la page principale de SignEdit.

Pour en savoir plus :

  • Fonctions
  • Menus


SignEdit, Fonctions

Fonctions de SignEdit

Édition d'une signature

Cette fenêtre de dialogue, appelée par la fonction 'Éditer' du menu 'Édition' ou par le menu contextuel, affiche le contenu de la rubrique de signature sélectionnée. L'extension PC peut faire 3 ou 4 caractères. Les deux éléments de la signature Macintosh (Type de fichier et Créateur) occupent chacun 4 caractères.
Dans les signatures Macintosh, on distingue entre les majuscules et les minuscules. Les espaces sont acceptés. Le programme ajoute des espaces à la fin des éléments qui comportent moins de 4 caractères.
Le commentaire est un texte explicatif qui est affiché dans la colonne 'Type' de l'application principale.

Addition d'une signature

Le principe est le même, sinon que la rubrique de signature est nouvelle et que la fenêtre de dialogue est initialement vide.

Où trouver des signatures ?
L'aide en ligne comprend une table déjà assez longue de signatures Macintosh. Vous pouvez également vous rendre sur notre site (http://www.macdisk.com/macsigfr.htm), où cette liste est fréquemment mise à jour. Par ailleurs, nous y donnons des pointeurs sur des sources d'information.

Retour à la page principale de SignEdit.

Pour en savoir plus :

  • Interface utilisateur
  • Menus


SignEdit, Menus

Menus de SignEdit

Menu Fichier

Le menu 'Fichier' propose les rubriques usuelles d'un éditeur, à savoir 'Nouveau' pour créer un nouveau fichier, 'Ouvrir' pour ouvrir un fichier existant, 'Enregistrer' pour sauvegarder le fichier courant, 'Enregistrer sous' pour l'enregistrer sous un nouveau nom, et enfin 'Fermer' pour fermer le fichier.
Une rubrique 'Imprimer' permet d'envoyer le contenu du fichier en cours vers l'imprimante.
L'habituelle rubrique 'Quitter' sert naturellement à revenir à l'écran principal de l'application.
Ce menu n'appelle donc pas de commentaires particuliers.

Menu Édition

Le menu 'Édition' propose les fonctions agissant sur le contenu du fichier de signatures. 'Éditer' permet de modifier la rubrique de signature sélectionnée. 'Ajouter' crée une nouvelle rubrique qui sera ajoutée à la fin de la liste. Voir les explications données sur ces fonctions pour plus de renseignements.
Les trois fonctions suivantes, 'Couper', 'Coller' et 'Copier', correspondent classiquement aux fonctions usuelles des éditeurs.
Enfin, les deux fonctions 'Remonter' et 'Descendre' permettent de déplacer les rubriques sélectionnées d'un cran vers le haut ou vers le bas, donc de reclasser les rubriques de signature dans un certain ordre (n'oubliez pas que la liste est traitée dans l'ordre où elle se présente).

Menu Registre

Le menu 'Registre' contient une seule rubrique, destinée à stocker le nom du fichier de signatures courant sous une clef du programme principal dans le Registre de Windows.

Menu contextuel

Le menu contextuel (appelé par un clic droit de la souris lorsqu'une rubrique de signatures est sélectionnée), permet de lancer directement les fonctions 'Editer', 'Ajouter', 'Remonter' et 'Descendre' qui ont été décrites ci-dessus à propos du menu 'Édition'.

Retour à la page principale de SignEdit.

Pour en savoir plus :

  • Interface utilisateur
  • Fonctions


Branches des fichiers Macintosh

Les deux branches des fichiers Macintosh
Les fichiers Macintosh ne sont pas monolithiques, mais se composent de deux parties, la première appelée "branche de données" (data fork) et la seconde "branche de ressources" (resource fork). Les concepteurs du système d'exploitation du Mac ont ainsi choisi de séparer ce qui est placé dans un seul flux d'octets sur la plupart des autres ordinateurs.
Seule l'une de ces deux branches peut être vide.

Branche de données
La branche de données contient généralement ce que l'on appelle un fichier de données sur le PC. Dans les échanges de fichiers entre Macintosh et PC, il est généralement inutile de s'intéresser au contenu de la branche de ressources (hormis le cas spécial des polices de caractères et des programmes/applications).

Branche de ressources
La branche de ressources contient le code des programmes, les polices, etc. Elle peut également, dans le cas d'un fichier graphique, contenir une image (vignette) de prévisualisation.
Contrairement à ce qui est parfois dit (y compris par des personnes généralement compétentes et bien informées par ailleurs), la branche de ressources ne contient pas la signature des fichiers (le type de fichier et le créateur du fichier). Ce n'est donc pas parce qu'un fichier Macintosh est passé sur un PC et a donc (généralement) perdu sa branche de ressources qu'il devient illisible et inexploitable. L'absence de signature correcte empêche uniquement d'ouvrir le fichier par un double clic sur son icône. Tant que le contenu utile est stocké dans la branche de données, rien n'est perdu. Il suffit généralement d'ouvrir le fichier en passant par l'application voulue (menu Fichier, rubrique Ouvrir).

Pourquoi une branche de ressources ?
La branche de ressources est organisée comme une base de données et non pas sous la forme d'un flux non structuré d'octets, comme c'est le cas de la branche de données. Cela permet un accès très rapide aux éléments qui y sont stockés, et même une mise à jour lorsque des éléments doivent être modifiés.

Comment ne pas dissocier les deux branches ?
La « perte » de la branche de ressources est l'une des catastrophes mythiques qui revient sans cesse dans les discussions sur les transferts de fichiers Macintosh.
Deux méthodes sont utilisées essentiellement pour conserver ensemble les deux branches des fichiers Macintosh. Il s'agit de la norme MacBinary et de la norme BinHex.
Apple a également publié deux normes, appelées Apple Single et Apple Double, pour pallier ce problème.


Extensibilité des partitions virtuelles

Introduction
En mode Partition, MacImage gère des volumes Macintosh virtuels stockés dans un fichier stocké sur le disque dur du PC. Lorsque vous créez une nouvelle partition virtuelle, l'une des options qui vous est proposée est de créer une partition extensible ou économique. Qu'est-ce que cela signifie ?
L'option de formatage "économique" signifie que, pour le formatage, le programme va sélectionner des blocs d'allocation de taille minimale. Les blocs d'allocation sont les unités minimales d'allocation de l'espace sur le disque. C'est donc la taille minimale qu'occupera un fichier sur le disque.
L'autre option fait le choix inverse, à savoir de prendre une taille maximale des blocs d'allocation. De plus, elle offre plus de liberté dans le redimensionnement des partitions. Par exemple, vous pourrez stocker sur le disque PC un volume Macintosh minimal contenant les moteurs de visualisation de vos fichiers, puis n'étendre la partition que de la capacité dont vous avez besoin pour faire tenir les fichiers.

Blocs d'allocation
Sur un volume magnétique, l'espace est alloué sous la forme de ce que l'on appelle des blocs d'allocation (ou encore clusters). Ces blocs d'allocation sont des multiples de la taille du bloc logique de 512 octets (qui correspond le plus souvent au secteur physique sur le disque). Le nombre maximal des blocs d'allocation d'un volume Macintosh HFS est de 65 535 (valeur maximale que l'on peut exprimer à l'aide d'un entier non signé de 16 bits). Un disque de 32 Mo aura ainsi des blocs d'allocation de 512 octets, un disque de 320 Mo de 10 x 512 = 5 Ko, etc.
Si le volume que vous créez doit stocker un très grand nombre de petits fichiers (exemple d'un site Web), il est souhaitable d'utiliser des blocs d'allocation aussi petits que possible. Sinon, sur une partition de 650 Mo (la taille d'un CD-ROM) dont les blocs d'allocation sont de 10 Ko, chaque fichier, même de 1 Ko, occupe en fait sur le disque une place de 10 Ko.
Par opposition, si vous placez sur le disque des images en haute résolution, c'est-à-dire des fichiers dont les tailles sont de l'ordre de plusieurs dizaines de Mo, une perte de 10 Ko par fichier devient négligeable. Dans le cas d'un volume de 650 Mo (taille d'un CD-ROM complet), la taille minimale des blocs d'allocation est de 20 secteurs (512 x 20 = 10 Ko). Mais rien ne s'oppose à créer des blocs d'allocation de 100 Ko.

Extensibilité des partitions
MacImage vous permet de corriger la taille de votre volume Macintosh en fonction de vos besoins réels. Une réduction de la taille du volume est assez simple. S'il n'y a pas de fichiers après la limite que vous définissez, le programme supprime toutes les références à cet espace et réduit la taille du fichier.
A l'inverse, pour étendre la taille d'une partition, il est nécessaire de disposer dans la table d'allocation des blocs d'une certaine réserve de place, donc de prévoir dès le début de créer des blocs d'allocation aussi grands que possible (donc aussi peu nombreux que possible) pour permettre ultérieurement d'en créer de nouveaux (qui pointeront sur l'espace nouveau ajouté à la fin du volume).


Fichiers Macintosh sur l'Internet

Internet et les fichiers Macintosh
La réception de fichiers Macintosh sur un PC depuis l'Internet (téléchargement depuis un serveur FTP ou HTTP, réception en tant que pièce jointe annexée à un courrier électronique) mérite quelques commentaires pour deux raisons.
D'abord, les fichiers Macintosh ne sont pas monolithiques, mais se composent de deux parties, la première appelée "branche de données" (data fork) et la seconde "branche de ressources" (resource fork). Voyez la page que nous consacrons à cette question des branches des fichiers pour plus de précisions.
Ensuite, la nature des fichiers n'est pas exprimée sous la forme d'une extension ajoutée au nom du fichier (suffixe), mais sous la forme d'une signature (chaîne de 8 caractères exprimant le créateur du fichier et le type du fichier). Voir également la page que nous consacrons aux signatures Macintosh pour plus de précisions.

"Conteneurisation"
Pour ces deux raisons, les fichiers Macintosh stockés sur des serveurs gérés sous des systèmes d'exploitation qui ne connaissent pas les branches ou flux doivent être "conteneurisés" afin de sauvegarder leurs éléments constitutifs. Les logiciels Macintosh effectuent le plus souvent ce type de traitement sans le signaler spécifiquement
Ajoutons enfin que les normes du courrier électronique imposent de ne transmettre que des fichiers de texte, et non pas des fichiers binaires. Cela revient à dire que les fichiers doivent être codés sur 7 bits et non pas sur 8 bits. Cette opération s'effectue le plus souvent sur le conteneur mentionné ci-dessus.

Les fichiers Macintosh envoyés en pièces jointes
Dans ces conditions, et pour que les utisisateurs Macintosh ne perdent aucun élément de leurs fichiers lorsque ceux-ci sont envoyés par le courrier électronique, l'usage est que les logiciels de courrier électronique tournant sur un Macintosh effectuent deux opérations sur les fichiers émis :

  • conteneurisation (regroupement des deux branches ainsi que des informations du Finder dans un conteneur, donc un fichier unique)
  • encodage (passage de 8 bits à 7 bits)
Par opposition, un logiciel de courrier sur un PC n'exécute que l'encodage.
A la réception, le programme doit d'abord décoder le flux de données, puis ouvrir le conteneur pour en récupérer les éléments.

Normes utilisées
Quatre normes sont utilisées pour effectuer ces opérations. D'abord, MacBinary et AppleSingle, qui prennent en charge la conteneurisation. Le principe de base est de mettre les deux branches l'une derrière l'autre et d'y ajouter des éléments tels que la signature. Le fichier obtenu est ensuite codé sur 7 bits. Dans le premier cas, les données précèdent les ressources, dans le second cas, c'est le contraire.
La norme AppleDouble, qui est comme AppleSingle une norme MIME (RFC1740), utilise une méthode radicalement différente, en plaçant les deux branches dans des flux différents qui peuvent être intégrés dans le message électronique par le logiciel de courrier. A la réception, le client décode ce qu'il reconnaît, généralement la seule branche de données, la branche de ressources étant alors ignorée et donc perdue.
Enfin, le cas du format Binhex est un peu spécial en ce sens que les deux opérations sont effectuées en même temps et que le fichier obtenu est un conteneur codé sur 7 bits et comprimé, donc prêt à envoyer. Si la phase d'encodage n'est pas strictement nécessaire dans le cas d'un téléchargement sur un serveur HTTP ou FTP, l'ancienneté de cette norme fait qu'elle est fréquemment utilisée aussi pour ce type d'opérations.

Traitement des fichiers
La difficulté essentielle est d'identifier les traitements qui ont été exécutés sur le ou les fichiers que vous recevez.
Notre utilitaire MacMail permet d'automatiser dans une large mesure le traitement des pièces jointes. Nous vous invitons à consulter sa page pour en savoir plus.
Il reste toujours possible d'ouvrir le fichier dans un traitement de textes et de rechercher au début des éléments caractéristiques.
Les fichiers Binhex contiennent la chaîne suivante dans la première ligne : "(This file must be converted with BinHex 4.0)".
Les fichiers MacBinary peuvent se reconnaître au fait qu'ils contiennent au tout début (décalage 2) une chaîne de caractères qui est le nom Macintosh original du fichier, puis un peu plus loin (décalage 65) la signature du fichier original.
Les fichiers AppleDouble et AppleSingle ne devraient normalement pas se rencontrer tels que sur votre ordinateur. Ces formats sont utilisés dans le courrier électronique avec des programmes modernes, qui devraient les décoder automatiquement. Néanmoins, précisons que la "signature magique" des fichiers AppleSingle est 0x00051600 tandis qu'elle est de 0x00051607 pour les fichiers AppleDouble. Cette signature se trouve dans les quatre premiers octets du fichier unique dans le cas de la norme AppleSingle et dans les quatre premier octets du fichier d'en-tête (qui contient tous les éléments du fichier hormis la branche de données) dans le cas de la norme AppleDouble.

Cas spécial des polices de caractères
Si vous recevez des polices de caractères Macintosh par courrier électronique et que votre interlocuteur les a codées en AppleDouble ou en AppleSingle, vous ne pouvez rien faire, sinon constater que le fichier obtenu est de longueur nulle. Les logiciels clients de courrier qui savent en effet traiter ces formats adoptent l'attitude la plus logique, qui est de récupérer ce qui est probablement récupérable, donc la branche de données.
Même si ce n'est pas du tout ce que vous vouliez faire.

Pour pouvoir récupérer la police et l'utiliser, il faut employer un logiciel connaissant la nature des deux autres modes de codage, à savoir BinHex et MacBinary.
Notez tout de même que si l'on vous a envoyé une police d'affichage, elle ne peut servir à rien. Seules les polices True Type et les polices Type 1 contiennent du code exploitable.
Voyez également la page plus générale que nous consacrons aux Transferts de polices.

Comment expédier un fichier vers un Macintosh
Le problème ne se pose pas seulement d'exploiter sur PC des fichiers créés sur un Macintosh et envoyés par courrier électronique. Il existe de la même manière si vous voulez envoyer un fichier en pièce jointe depuis votre PC. Plusieurs solutions sont possibles, en fonction du degré de connaissances de votre interlocuteur.
Si vous envoyez un fichier de bureautique, par exemple Word ou Excel, veillez bien à ne pas envoyer un fichier codé dans une version trop récente du programme. Nous conseillons, pour les fichiers Word, de sauvegarder au format Word 5 pour le Macintosh, ou encore au format Word 2 pour Windows, et pour les fichiers Excel, d'enregistrer au format Excel 5.
Un fichier PC simplement envoyé de cette manière en pièce jointe n'aura probablement pas de signature en arrivant sur le Macintosh. Cela signifie que l'utilisateur ne devra pas essayer de l'ouvrir en cliquant deux fois sur son icône, mais en passant par le programme voulu et par le menu Fichier, puis Ouvrir.


Format Binhex

Introduction
Le format BinHex a été inventé pour répondre à deux besoins. D'une part celui de coder sur 7 bits seulement le contenu des fichiers binaires (donc codés sur 8 bits), afin de leur permettre de transiter par les réseaux, et par le courrier électronique, notamment. D'autre part celui de réunir les deux branches des fichiers Macintosh en un seul fichier.
Enfin, l'auteur de cette norme, Yves Lempereur, a rajouté une fonction de compression élémentaire, de type RLE, pour éviter de transmettre des séquences de plusieurs caractères identiques.

Comment reconnaître un fichier codé en BinHex ?
L'extension utilisée pour les fichiers BinHex est généralement HQX, mais on rencontre aussi fréquemment des fichiers sans extension. La signature de ces fichiers (sur un support HFS) est TEXTBNHQ.
De plus, la première ligne des fichiers codés en BinHex est la suivante :

(This file must be converted with BinHex 4.0)

Il suffit donc d'ouvrir le fichier dans un programme de traitement de textes pour l'identifier. Cette ligne est normalement facultative, mais nous n'avons jamais rencontré de fichiers BinHex qui ne la comportent pas. L'une des caractéristiques de ces fichiers est également que le flux de données utile doit commencer et finir par le signe "guillemets".
Nous avons déjà vu des fichiers où la ligne ci-dessus n'était pas la première, mais la seconde. Dans ce cas, nos programmes n'identifient pas correctement les fichiers comme des fichiers BinHex et les traitent comme des fichiers de données. Ouvrez le fichier dans un éditeur de texte et supprimez la première ligne.

Quand peut-on rencontrer des fichiers BinHex ?
La norme BinHex est l'une des options (avec le format mime) de la plupart des logiciels de messagerie Macintosh. Ces programmes codent et décodent le format de manière transparente pour l'utilisateur. Toutefois, lorsque le courrier est échangé entre Mac et PC, il est possible que le logiciel de réception ne sache pas identifier ces fichiers et se contente de les stocker sur le disque dur.
Le format BinHex est également utilisé par certains programmes pour générer des fichiers Macintosh sur d'autres plates-formes. C'est notamment le cas de Flash, de Macromedia. Dans ce cas, la norme BinHex joue le même rôle que la norme MacBinary, le codage sur 7 bits n'ayant pas de justification technique.

Comment décoder les fichiers BinHex ?
Il existe un certain nombre d'utilitaires assurant le décodage des fichiers BinHex sur un PC. Ils ne se caractérisent généralement pas par leur souplesse ou par leur généralité. Les problèmes de fonctionnement que l'on peut rencontrer sont les suivants :

  • Pas de récupération du véritable nom du fichier
  • Pas d'ajout d'extension pour identifier la nature du fichier
  • Pas de récupération du contenu de la branche de ressources.

Par opposition, tous nos programmes connaissent le format BinHex et traitent ces fichiers correctement.


Format MacBinary

Fichiers MacBinary
La norme de fait MacBinary (les spécifications des versions I, II et III sont disponibles sur le site de Lazerware mais n'intéresseront que les programmeurs) a pour raison d'être de maintenir dans un conteneur unique les deux branches du fichier Macintosh, afin qu'elles ne soient pas dissociées et perdues sur les liaisons de télécommunications ainsi que dans les répertoires des serveurs. De même que les archives SEA, qui ne constituent qu'un cas particulier des fichiers MacBinary, ils se présentent sous la forme d'un conteneur composé de trois parties :

  • En-tête du Finder (longueur 128 octets)
  • Branche de données (longueur variable)
  • Branche de ressources (longueur variable, commençant sur une frontière de bloc de 128 octets).

Il arrive que l'on ait à télécharger depuis un serveur Internet ou autre des fichiers Macintosh, qu'il s'agisse de données, de programmes ou d'archives autoextractibles. Généralement, les fichiers à télécharger sont stockés sous la forme d'un conteneur MacBinary (voir également notre page sur le format BinHex). Certaines précautions doivent être prises pour replacer correctement les éléments du fichier si l'on souhaite pouvoir les exploiter sur le Macintosh.

Réinstallation d'un fichier MacBinary sur un support Mac
Il est relativement simple de réinstaller un fichier MacBinary sur un support Macintosh, pour pouvoir ensuite l'exécuter sur un Macintosh, qu'il s'agisse d'un programme en général ou d'une archive autodécompactable.
Nous allons décrire la procédure avec MacDisk et une disquette.
Prenez une disquette Macintosh ou formattez-en une (n'oubliez pas que vous pouvez effectuer un reformatage rapide sur une disquette PC 1,44 Mo en bon état). Cliquez sur le bouton de copie entre le PC et le Mac. Sélectionnez le fichier dans la boîte de dialogue et lancez la copie. MacDisk détecte automatiquement les fichiers MacBinary et BinHex.
Vous observerez que le fichier, sur le support Macintosh, ne porte pas nécessairement le nom qu'il avait sur le support PC. En effet, le nom Macintosh original du fichier était stocké dans l'en-tête binaire et notre programme l'a restauré. Vous observerez aussi qu'une partie du fichier a été placée dans la branche de données et une autre dans la branche des ressources.
Il vous suffit maintenant de monter le volume sur un Macintosh. S'il s'agit d'une application, double-cliquez sur l'icône pour l'exécuter.

Installer un fichier MacBinary dans un projet sous MacImage
Quand vous incluez dans un projet un fichier MacBinary, MacImage l'identifie automatiquement et va chercher à l'intérieur du fichier les renseignements dont il a besoin. Vous n'avez rien de spécial à faire, tout s'opère automatiquement.


Signatures Macintosh

Qu'est-ce que la signature d'un fichier Macintosh ?
Pour identifier le type de fichier, le Macintosh n'utilise pas une extension de trois caractères (ou même de quatre, ou plus encore), mais une signature. Les signatures sont des chaînes de huit caractères, à savoir quatre pour le créateur (le programme qui a créé le fichier) et quatre pour le type de fichier (texte, image, etc.).
La table de ces signatures et les icônes correspondantes sont stockées par le Finder, pour toutes les applications qui ont existé à un moment quelconque sur un disque, dans le fichier Desktop (un fichier système qui n'est jamais affiché par le Macintosh mais qui existe dans la racine de chaque disque). Avec le Système 7, le Desktop s'est dédoublé en un fichier appelé Desktop DB et un autre appelé Desktop DF, pour des raisons qu'il serait trop long d'expliciter ici.

Où sont stockées les signatures ?
Contrairement à ce qui est souvent affirmé, même par des personnes qui savent généralement ce dont elles parlent, ces signatures ne sont pas stockées dans la branche des ressources de chacun des fichiers, mais gérées par le Finder dans l'arbre du catalogue (une structure de gestion du disque à laquelle l'utilisateur n'a pas besoin d'avoir accès directement).
Cette erreur a une triple explication. D'une part, dans le fait que les programmes doivent déclarer (dans leur branche de ressources) le type de fichier qu'ils entendent gérer, de manière à ce que le Finder sache quoi faire lorsque l'utilisateur effectue un double clic sur une icône.
De même, l'icône affichée pour un fichier donné est trouvée par le Finder dans la branche de ressources du programme et est ensuite stockée dans le fichier Desktop. Enfin, certains programmes créant des fichiers graphiques placent dans la branche de ressources du fichier de données une image en basse résolution (image de prévisualisation) qui est utilisée par le Finder à la place de l'icône générique.

Tables de signatures
Nous avons regroupé ci-dessous certaines signatures et les extensions de type PC qui leur correspondent (si vous souhaitez ajouter ou corriger quelque chose, vous pouvez naturellement nous le faire savoir. Cette page est mise à jour pratiquement une fois par semaine.
Pour ceux qui sont amenés à éditer la table des signatures utilisée par nos programmes MacDisk et MacImage), vous devez noter la signature et l'extension que vous entendez utiliser et l'intégrer dans le fichier de signatures avec l'utilitaire SignEdit ou encore un éditeur de texte. De même, si un transfert ne donne pas les résultats que vous attendez, contrôlez la signature réelle d'un fichier dont l'origine est certaine, sur un véritable support Macintosh (regardez dans la dernière colonne du volet d'affichage, ou encore dans la boîte de dialogue 'Propriétés').

Formats "génériques"
Ces signatures identifient un type de fichier, mais sans spécifier le créateur ('????' est une chaîne de créateur valide). Elles sont souvent utiles lorsqu'un programme n'accepte d'importer qu'un type spécifique de données, sans se donner la peine d'aller ouvrir le fichier pour savoir ce qu'il contient réellement. Nous indiquons l'extension PC lorsque celle-ci est bien établie.

Signature | Extension | Commentaires
APPL???? |  | Application (programme)
EPSF???? | EPS | EPS générique
JPEG???? | JPG | JPEG générique
PICT???? | PCT | Fichier Pict générique
TEXT???? | TXT | Texte générique
TIFF???? | TIF | TIFF générique

Formats "spécifiques"
Ces signatures identifient d'une part le type de fichier, d'autre part le créateur. Les applications autres que le créateur se contentent généralement de consulter le type de fichier pour déterminer si elles sont en mesure de le traiter.

Signature | Extension | Commentaires
8BIM8BIM | PSD | Photoshop 3
8BIM8BPS | PSD | Photoshop 3 (calques)
AB65AD65 | P65 | Pagemaker 6.5
ALB4ALD4 | PM4 | Pagemaker 4
ALB5ALD5 | PM5 | Pagemaker 5
ALB6ALD6 | PM6 | Pagemaker 6
APPLaust |  | Archive autodécompactable créée par Stuffit
APPLEXTR |  | Archive autodécompactable créée par Compact Pro
cDRWdDRW |  | Claris Draw
CWWPBOBO | CWK | Claris Works v. 1 à 5
dPROdDOC | MDP | MacDraw Pro
DDAPDDFL |  | Fichier compressé par Disk Doubler ??
EPSPXPR3 |  | EPS Spécial Xpress
FH50AGD1 | FH5 | Freehand 5
FHD3FHA3 | FH3 | Freehand 3
FMP3FMP3 | FP3/FMP | FileMaker Pro
FXTCEggP | AEP | Projet d'After Effects
inDdinDn | IND | Document Indesign
LWFNASPF |  | Police Type 1 d'Adobe
MDPLDRWG |  | Fichiers MacDraw II
MDRWDRWG |  | Fichiers MacDraw
MooVTVOD | MOV | Fichiers QuickTime
MV93MD93 | DIR | Macromedia Director
MW2DMWII |  | Mac Write II
nX^2nX^n |  | WriteNow 3
nX^nnX^n |  | WriteNow 2
PACTCPCT |  | Archive créée par Compactor (Pro)
PDF CARO | PDF | Fichiers Acrobat (notez l'espace après PDF)
QSfLQSfl |  | Fichier de contrôle de l'AV Symantec
SIT!SIT! | SIT | Archive compactée par Stuffit
SITDSIT! | SIT | Archive compactée par Stuffit
SLD3PPT3 | PPT | Power Point 3
SLD8PPT3 | PPT | Power Point 98
StMIGIFf | GIF | Fichiers GIF créés par PageMill
StMITEXT | HTM | Fichiers HTML créés par PageMill
TEXTART3 | AI | Illustrator 3
TEXTBNHQ | HQX | BinHex
TEXTOMEG |  | Mathematica (tous types de fichiers)
W6BNMSWD | DOC | Microsoft Word 6
W8BNMSWD | DOC | Microsoft Word 8 (98)
WDBNMSWD | DOC | Word 3/4/5 Macintosh
WORDBOBO | CWK | Claris Works (texte)
WORDMACA |  | Mac Write 4.6/5
WP42SSIW | WP4 | Wordperfect 4 (sauvé par WP Mac)
WP50SSIW | WP5 | Wordperfect 5 (idem)
WTBNMSWD | DOT | Modèle Word
XDOCXPR3 | QXD | Xpress (toutes versions)
XLBNXCEL | XLS | Excel 1 pour le Macintosh
XLS4XCEL | XLS | Excel 4
XLS5XCEL | XLS | Excel 5
ZIP_ZIP_ | ZIP | Archive de type Zip (le '_' est un espace)

Nous reprenons ci-dessous une liste plus complète avec d'abord une liste des types de fichiers que nous avons déjà rencontrés, puis une liste des créateurs que nous avons identifiés.

Types de fichiers
Signature | Commentaires
..CT | Fichier Scitex (placez 8BIM dans le créateur si vous voulez que ces fichiers s'ouvrent directement dans Photoshop
.WP4 | Texte WP 4 vu par Wordperfect 2
.WP5 | Texte WP 51 vu par Wordperfect 2
8BIM | Fichier Adobe Photoshop au format natif
8BPS | Calque Photoshop
AB65 | Pagemaker 6.5
ALB3 | PageMaker 3
ALB4 | PageMaker 4
ALB5 | PageMaker 5
ALB6 | PageMaker 6
AWDB | Base de données MS-Works
AWSS | Feuille de calcul MS-Works
AWWP | Traitement de textes MS-Works
BINA | Fichier de texte sauvé au format DOS ou Winword par Word Mac 5
CrTC | Fichier de projet de Toast 3
CWWP | Fichier de texte de Claris Works
DCT5 | Dictionnaire de Word
DDFL | Fichier de données de Disk Doubler
dDOC | Fichier de dessin de MacDraw Pro
dDRW | Fichier de dessin Claris Draw
DRWG | Fichier de dessin de MacDraw
DWG_ | Fichier AutoCAD ?? (avec un espace final)
EggP | Projet d'After Effects
EPSF | Fichier EPS
FFIL | Valise de polices (Type 1 ou True Type)
ffil | Police d'affichage
FH50 | Fichier Freehand 5
FHD3 | Fichier Freehand 3
F#+D | Fichier de Rag Time Classic
FMK$ | Fichier de FileMaker
FMP3 | Fichier de FileMaker Pro 3
GIFf | Fichiers GIF de PageMill
GLOS | Glossaire de Word
Himg | Fichier-image créé par Toast
inDd | Document Indesign
JPEG | Fichier JPEG
lfil | Police True Type
LWFN | Police type 1 (PostScript)
MooV | Fichier QuickTime
MPEG | Fichier MPEG (codage MPEG1)
MPWd | Document MacWrite Pro 1.5
MW2D | Document MacWrite II
MW2S | Document MacWrite II (modèle)
nX^2 | Fichier Write Now 3
nX^d | Fichier Write Now 2
PACT | Fichiers Compactor
PDF_ | Fichiers Acrobat (PDF). Le _ représente un espace)
PICT | Fichier graphique
R#+A | Fichier de texte de RagTime Classic
RTF_ | Fichier RTF (le _ étant un espace)
S#+A | Fichier de texte de Rag Time 2
SIT! | Archive Stuffit
SITD | Archive Stuffit
SLD3 | PowerPoint 3
SLD8 | PowerPoint 8
TIFF | Format graphique
W6BN | Mac Word 6
W8BN | Mac Word 8 (98)
WDBN | Mac Word 3, 4, 5
WHLP | Fichier d'aide de Word
WORD | MacWrite (texte formaté)
WP42 | Texte WP 4 vu par Wordperfect 1
WP50 | Texte WP 51 vu par Wordperfect 1
WPD0 | Texte Wordperfect 1
WPD1 | Texte Wordperfect 2
WPD3 | Texte Wordperfect 3
WPRD | Fichier d'impression de Word
WTBN | Modèle Word
XDOC | Fichier Xpress
XTMP | Gabarit Xpress
XLBN | Feuille de calcul Excel 1
XLS_ | Feuille de calcul Excel 2.2 (le _ représente un espace)
XLS3 | Feuille de calcul Excel 3
XLS4 | Feuille de calcul Excel 4
ZIP_ | Archive zippée (le _ représente un espace)

Codes des créateurs
Signature | Commentaires
8BIM | Adobe Photoshop
AD65 | Pagemaker 6.5
ACAD | AutoCAD
AGD1 | Freehand 5
ALD3 | PageMaker 3
ALD4 | PageMaker 4
ALD5 | PageMaker 5
ALD6 | PageMaker 6
ART3 | Illustrator 3
ART5 | Illustrator 5 et suivants
ARTY | Illustrator 1
ARTZ | Illustrator 88
BOBO | Claris Works
CARO | Acrobat Distiller
CDr3 | Toast v. 3
cDRW | Claris Draw
CPCT | Compactor (Pro ?)
DDAP | Application Disk Doubler
dPRO | MacDraw Pro
ERIK | Finder (fichier Desktop)
F#+A | Rag Time Classic
FHA3 | Freehand 3
FMK4 | FileMaker (II ?)
FMP3 | FileMaker Pro 3
FXTC | After Effects
inDn | Indesign
MACA | MacWrite 2.2 et 4.6
mdos | Fichier DOS copié par AFE ou Echange PC-Mac
MDRW | MacDraw
MDPL | MacDraw II
MOSS | Netscape (Mozilla)
MPWR | MacWrite Pro
MSWD | Microsoft Word 3/4/5 pour le Mac
MSWK | Microsoft Works 3/4 pour le Mac
MWII | MacWrite II
nX^n | Write Now toutes versions
OMEG | Mathematica
PPT3 | PowerPoint (toutes versions)
PSIP | MS-Works 1
PSI2 | MS-Works 2
R#+D | Rag Time 3
S#+D | Rag Time 2
SIT! | Stuffit
SSIW | Wordperfect 1
StMI | PageMill
TVOD | QuickTime
vgrd | LaserWriter (fichier Postscript)
WPC2 | Wordperfect 2 (3 aussi)
XPR3 | QuarkXpress 3
XCEL | Excel

Quelques sites complémentaires pouvant vous aider dans votre recherche :

  • Page des signatures de notre site Internet
    Étant donné que la présente page n'est qu'une copie de la page que nous consacrons à cette question sur l'Internet, vous pouvez éventuellement la visiter pour disposer des dernières mises à jour.
  • Site d'enregistrement Apple
    Les signatures [ou du moins les chaînes de créateur] doivent être enregistrées auprès d'Apple. Ce site permet de savoir si une signature existe ou non. Il n'y a pas de possibilité de consultation d'une liste générale, et Apple a déclaré publiquement qu'il n'y en aurait pas.
  • Index d'Ilan Szekely
    Un index à télécharger (Filemaker Pro pour le Mac) contenant plus de 30 000 références de signatures.


Dossier de destination (copie Macintosh --> PC)

Dossier de destination
(copie Macintosh --> PC)

Introduction
Cette fenêtre est appelée lorsque, après avoir sélectionné un ou plusieurs fichiers ou dossiers dans le dossier courant du volume Macintosh, vous demandez la copie vers le PC.
Le principe est de sélectionner le dossier qui servira de destination à ces fichiers. Vous pouvez créer un nouveau dossier afin de mieux organiser le classement de vos fichiers. A cette fin, la boîte propose un bouton qui crée un nouveau dossier dans le dossier courant. Quand vous êtes satisfait du dossier courant (indiqué dans la ligne 'Chemin'), cliquez sur le bouton 'Copie dans dossier courant'. Ce dossier de destination est sauvegardé par le programme entre les sessions, si bien qu'il sera à nouveau affiché la prochaine fois que vous demanderez une copie de fichiers vers le PC.

Navigation sur le disque dur du PC
La ligne intitulée 'Chemin' vous indique à quel endroit de l'arborescence du disque PC vous vous trouvez. Elle se compose de la lettre du disque (par exemple 'C:\', que l'on appelle aussi racine) et des différents noms de dossiers et de sous-dossiers, séparés par une barre inverse ('\'). Cette ligne est mise à jour à chaque fois que vous changez de disque (en sélectionnant un disque dans la liste 'Lecteurs') ou que vous changez de dossier (en cliquant sur une des rubriques de la liste 'Dossiers' ou sur l'un des deux boutons de remontée). Si vous remontez d'un cran (dans le dossier situé immédiatement au-dessus, appelé dossier-père), le dernier élément de la ligne 'Chemin' disparaît. A l'inverse, si vous cliquez sur un sous-dossier de cette même liste, vous descendez d'un cran dans l'arborescence, et la ligne 'Chemin' s'allonge d'un élément.
Ces principes sont utilisés pour la navigation sur le disque dur du PC. Si vous êtes nouvel utilisateur d'un PC sous Windows, il est bon que vous preniez le temps de vous y accoutumer. Essayez différentes manipulations tout en contrôlant les effets sur la ligne 'Chemin'.


Copie PC -> Macintosh

Cette grande fenêtre vous permet de vous déplacer entre les lecteurs et les dossiers des supports PC pour y sélectionner les fichiers ou les dossiers que vous souhaitez copier vers le volume Macintosh.
La ligne intitulée 'Chemin' vous indique à quel endroit de l'arborescence du disque PC vous vous trouvez. Elle se compose de la lettre du disque (par exemple 'C:\') et des différents sous-dossiers. Cette ligne est mise à jour à chaque fois que vous changez de dossier (en cliquant sur une des rubriques de la liste 'Dossiers').
Il est possible de demander la copie soit tous les fichiers, soit d'une sélection de fichiers. Les fichiers qui existent dans le dossier PC courant sont affichés dans la boîte située sur le côté gauche. Si le masque de sélection (dans la zone d'édition située tout en haut de la fenêtre) est *.*, tous les fichiers présents dans le dossier sont affichés. Si tous ces fichiers ne vous intéressent pas, ou s'ils sont trop nombreux, vous pouvez demander un affichage sélectif. Tapez par exemple '*.doc" pour ne sélectionner que les fichiers Word, '*.xls' pour ne copier que les fichiers Excel, etc.
Enfin, pour vous aider dans la sélection des fichiers, nous affichons le nombre des fichiers sélectionnés et leur longueur totale (tous les fichiers correspondant au masque de sélection, ou encore seulement ceux que vous avez sélectionnés manuellement en cliquant sur le nom).
La copie vers le volume Macintosh se lance en cliquant sur l'un des deux boutons suivants :

  • Copie de la sélection (fichiers sélectionnés dans la liste de gauche)
  • Copie de tous les fichiers.

Un bouton intitulé 'Ne pas refermer après copie' vous permet de garder cette boîte ouverte après la copie d'une première série de fichiers, pour relancer une opération, etc.


Création d'un dossier

Cette fenêtre vous permet de créer un dossier sur le support de destination. Saisissez simplement le nom que vous voulez lui donner.
Sur les supports Macintosh, les noms de dossiers et de fichiers ne peuvent pas excéder 31 caractères.


Fenêtre de message avec option d'abandon

Cette fenêtre de message est affichée si vous frappez la touche ESC au cours d'une opération de longue durée. Elle est destinée à vous permettre de confirmer ou d'infirmer cette demande d'interruption.

Notez bien que certaines opérations ne peuvent pas être annulées (comme le début du formatage d'un disque).

Retour à la page « Comment faire... ».


Fenêtre de message simple

Cette Fenêtre de message affiche un message d'information qui est suffisamment important pour exiger que l'utilisateur en prenne connaissance de cette manière (et non pas par la ligne d'état au bas de la fenêtre principale du programme, ce qui est utilisé pour des messages de moindre importance).

Il peut être utile de prendre note du texte exact du message avant de contacter l'assistance technique.

Retour à la page « Comment faire... ».


Fenêtre de message Oui/Non

Cette fenêtre de message vous pose une question avant de réaliser une opération qui ne peut pas être annulée et vous demande de confirmer ou d'infirmer en cliquant sur le bouton Oui ou Non.
Elle est par exemple utilisée lorsque vous avez demandé la suppression d'un dossier contenant des fichiers.

Retour à la page « Comment faire... ».


Fenêtre de message Oui/Non et Tous/Aucun

Cette fenêtre de message vous informe de circonstances rencontrées dans l'exécution du programme et vous demande de confirmer ou d'infirmer en cliquant sur le bouton Oui ou Non.
Par opposition à la fenêtre simple, elle comprend également un bouton Tous et un bouton Aucun pour donner une réponse positive ou négative qui s'appliquera dans tous les cas futurs (par exemple, ignorer toujours telle anomalie, ou toujours convertir sans demander confirmation, etc.).

Retour à la page « Comment faire... ».


Propriétés

Cette grande fenêtre affiche les propriétés (éléments caractéristiques, parfois appelés attributs) du fichier sélectionné. Il s'agit successivement du nom, de la longueur des données et des ressources (branches des fichiers Macintosh), de la signature et des dates de création et de dernière modification.
La plupart des éléments peuvent être modifiés. Il convient cependant que vous sachiez bien ce que vous faites. Vous ne transformez pas un fichier graphique en fichier de texte simplement parce que vous modifiez sa signature. A l'inverse, il existe des applications (MacWrite 4.6, par exemple, pour citer un exemple historique qui ne vexera plus personne) qui refusent "bêtement" de charger un fichier parce qu'il ne possède pas la signature voulue, si bien que cette fonction est indispensable.
Une zone d'édition intitulée 'Identification du fichier' affiche la chaîne d'identification que le programme affiche dans la colonne type.
Un bouton 'Attributs avancés' appelle une seconde fenêtre d'information qui intéressera essentiellement les techniciens. Dans le cas d'un volume NTFS/SFM, ce bouton appelle une boîte de normalisation des noms de fichiers.

Retour à la page « Comment faire... ».


Propriétés (2)

Cette seconde fenêtre affiche des informations techniques sur le fichier sélectionné.

Retour à la page « Comment faire... ».


Renommer un fichier ou un dossier

Cette fenêtre vous permet de spécifier le nouveau nom que vous voulez donner au fichier ou au dossier.
Elle est également utilisée pour renommer le volume Macintosh.

Retour à la page « Comment faire... ».


Sélection d'un fichier

À la fin d'une opération de recherche, plusieurs fichiers correspondent aux critères que vous avez donnés. Sélectionnez celui qui vous intéresse le plus.

Retour à la page « Comment faire... ».


Fenêtre de sélection

Cette fenêtre affiche un certain nombre de rubriques entre lesquelles vous êtes invité à choisir. Les informations affichées dépendent du contexte dans lequel la fenêtre a été appelée. Il peut s'agit de fichiers correspondant à une recherche, etc.

Retour à la page « Comment faire... ».


Sélection de la partition ou de la piste

Lorsqu'un volume Macintosh est partitionné, le programme affiche cette boîte de sélection pour vous permettre de sélectionner la partition à afficher.
Dans le cas d'un CD-ROM, le même principe s'applique aux pistes ou sessions des disques multisession.


Copie de fichiers vers le PC

Tout ce qui suit n'intéresse que les partitions virtuelles Macintosh contenant déjà des fichiers. Si vous venez de la créer, elle n'en contient naturellement pas encore. Voyez donc plutôt la Copie de fichier du PC vers la partition Macintosh.

Après avoir ouvert la partition Macintosh, vous avez à l'écran des fichiers et des dossiers, contenant à leur tour des fichiers ou des sous-dossiers, etc. Pour notre exemple, nous ne sélectionnerons qu'un seul fichier, mais vous pourriez en sélectionner plusieurs, ainsi que des dossiers. Vous pourrez le faire par la suite, après cette première séance de travail.

Si votre fichier est visible, sélectionnez-le en cliquant sur son nom. La ligne passe en inversion vidéo pour vous indiquer que la sélection a été enregistrée.

Si le fichier n'est pas visible, il peut se trouver dans sous-dossier (l'un de ceux affichés à l'écran - vous pouvez reconnaître les dossiers à leur icône, ou encore à la mention figurant dans la colonne Type - ou peut-être à un niveau plus profond encore). Les dossiers s'ouvrent dans le programme par un double clic sur leur nom. Si vous vous êtes trompé dans une opération (clic sur un autre nom, par exemple), vous pouvez remonter dans le dossier précédent en utilisant le bouton [image] dans la barre d'outils.

Cliquez maintenant sur le bouton [image] dans la barre d'outils. Le programme répond en affichant la fenêtre de sélection du dossier de destination.

Voir la copie d'écran.

Cette fenêtre affiche le dossier de destination par défaut (si le programme a déjà été utilisé). Sinon, il s'agit du dossier « Mes Documents ». Un bouton « Parcourir » vous permet de parcourir le ou les disques durs pour en sélectionner ou en créer un autre, dans lequel vous voulez placer le fichier. Le programme sauvegarde ce dossier dans le Registre et l'utilise ensuite par défaut.

Voir la copie d'écran.

Cette fenêtre est une fenêtre classique de Windows et ne devrait donc pas susciter de difficultés. Toutefois, si vous êtes un nouvel utilisateur de l'interface Windows, prenez le temps de tester les différentes commandes, afin de vous familiariser avec leur utilisation. Quand vous avez le dossier voulu dans la case inférieure, validez en cliquant sur le bouton 'OK'.

Pour les besoins de notre exemple, nous allons placer le fichier dans le dossier « Mes Documents », qui est l'option par défaut. Pour lancer la copie réelle, nous cliquons donc sur le bouton 'Copier Maintenant'.

MacImage copie le fichier et referme la fenêtre. La phase de transfert physique est terminée.

Pour continuer :

  • Copie de fichiers entre le PC et la partition Macintosh.


Descripteur du volume ISO

Introduction
Cette grande boîte de dialogue, appelée depuis la fenêtre de lancement de la compilation, vous permet de spécifier différentes chaînes de caractères qui peuvent être stockées dans le descripteur de volume ISO, qui est enregistré sur le CD-ROM dans le 16ème secteur.
Ces chaînes ne sont pas nécessaires au bon fonctionnement du futur CD-ROM et peuvent légitimement être ignorées.
Dans le détail, ce sont les suivantes (nous avons laissé les termes anglais parce que la terminologie n'est pas bien fixée en français) :

  • Système (System Identifier)
  • Nom du volume (Volume Identifier)
  • Nom de la collection (Volume Set Identifier)
  • Éditeur (Publisher Identifier)
  • Préparateur des données (Data Preparer Identifier)
  • Application (Application Identifier)
  • Fichier de copyright (Copyright File)
  • Fichier de résumé (Abstract File)
  • Fichier de bibliographie (Bibliographic File)

Longueur maximale
Dans chacune des rubriques ci-dessous, nous donnons les longueurs maximales que peuvent prendre les chaînes.
Le programme applique strictement ces restrictions.
Voir aussi ci-dessous les différences entre le descripteur ISO et le descripteur Joliet.

Descripteur ISO et descripteur Joliet
Le système de fichiers Joliet, qui autorise des noms de plus grande longueur, est réalisé sous la forme d'un descripteur secondaire dont la structure est calquée sur celle du descripteur primaire (descripteur ISO).
Du fait que la structure du descripteur est rigoureusement figée, et que le système de fichiers Joliet utilise l'Unicode pour stocker les chaînes de caractères, les longueurs disponibles sont réduites de moitié.

Système (System Identifier)
Cette zone devrait contenir le nom d'un système pouvant exploiter le contenu des secteurs 0 à 15.
Dans la pratique, tous les logiciels de gravure mettent leur chaîne d'identification à cet endroit. MacImage place la chaîne « LSD-MacImage ». Vous pouvez choisir d'y placer autre chose, en fonction de vos besoins.
Longueur maximale : 32 octets, soit 32 caractères dans le descripteur ISO et 16 dans le descripteur Joliet.
Retour au haut de la page

Nom du volume (Volume Identifier)
Cette chaîne est la seule qui apparaît dans l'utilisation normale du CD-ROM.
Longueur maximale : 32 octets, soit 32 caractères dans le descripteur ISO et 16 dans le descripteur Joliet.
Retour au haut de la page

Nom de la collection (Volume Set Identifier)
La norme ISO 9660 prévoit la possibilité de réaliser des CD-ROM multivolumes, c'est-à-dire des ensembles de données qui s'étendent sur plusieurs CD-ROM.
Il peut s'agir d'une collection (famille de CD-ROM apparentés) ou d'une série (suite de CD-ROM qui se complètent).
Longueur maximale : 128 octets, soit 128 caractères dans le descripteur ISO et 64 dans le descripteur Joliet.
Retour au haut de la page

Éditeur (Publisher Identifier)
Chaîne d'identification de l'éditeur du CD-ROM.
Longueur maximale : 128 octets, soit 128 caractères dans le descripteur ISO et 64 dans le descripteur Joliet.
Retour au haut de la page

Préparateur des données (Data Preparer Identifier)
Chaîne d'identification du préparateur des données. Il peut par exemple s'agir d'un prestataire de services ayant travaillé pour l'éditeur (voir ci-dessus) dans la production du CD-ROM.
Longueur maximale : 128 octets, soit 128 caractères dans le descripteur ISO et 64 dans le descripteur Joliet.
Retour au haut de la page

Application (Application Identifier)
Chaîne d'identification de l'application spécialisée destinée à exploiter les données stockées sur le CD-ROM. Très rarement utilisé.
Longueur maximale : 128 octets, soit 128 caractères dans le descripteur ISO et 64 dans le descripteur Joliet.
Retour au haut de la page

Fichier de copyright (Copyright File)
Cette zone peut contenir le nom d'un fichier, stocké dans la racine du CD-ROM, qui contient les différentes mentions de réserve des droits d'auteur. Très rarement utilisé.
Longueur maximale : nom de fichier de type 8+3.
Retour au haut de la page

Fichier de résumé (Abstract File)
Cette zone peut contenir le nom d'un fichier, stocké dans la racine du CD-ROM, qui contient un résumé des données présentes sur le CD-ROM. Très rarement utilisé.
Longueur maximale : nom de fichier de type 8+3.
Retour au haut de la page

Fichier de bibliographie (Bibliographic File)
Cette zone peut contenir le nom d'un fichier, stocké dans la racine du CD-ROM, qui contient des données bibliographiques destinées à compléter les données présentes sur le CD-ROM. Très rarement utilisé.
Longueur maximale : nom de fichier de type 8+3.
Retour au haut de la page


Copie de fichiers vers la partition Macintosh

Nous vous conseillons d'exécuter parallèlement toutes les opérations décrites sur votre ordinateur afin de vous familiariser avec l'esprit du programme. Nous supposons pour les besoins de notre démonstration que vous avez créé une partition Macintosh, que vous avez déjà ouverte, et que vous souhaitez y placer une série de fichiers de texte (créés sous Word Windows, par exemple) qu'il pourra ainsi relire et aisément exploiter.

Cliquez sur le bouton [image]. MacImage affiche une grande fenêtre de sélection des fichiers à copier vers le Macintosh, qui mérite certaines explications.

Voir la copie d'écran.

Cette fenêtre de dialogue offre plusieurs fonctions de sélection. Tout en haut, une ligne 'Chemin' vous indique à tout moment à quel endroit vous vous trouvez sur le disque et dans l'arborescence de celui-ci. Au-dessous, la liste des disques permet de spécifier le lecteur. Au-dessous, la grande fenêtre affiche le contenu du répertoire de travail et permet de sélectionner des fichiers. A droite se trouve un bouton de commande rapide pour remonter dans le dossier-père.

Vous pouvez sélectionner plusieurs fichiers selon les règles usuelles de Windows (en appuyant sur CTRL pour plusieurs sélections isolées ou discontinues, en appuyant sur MAJ pour étendre une sélection).
À droite se trouve une zone 'Masque' destinée à obtenir un affichage sélectif. Au-dessous se trouve une zone d'affichage indiquant le nombre de fichiers sélectionnés ainsi que leur taille cumulée. Ces valeurs représentent initialement le répertoire dans son entier (ou bien un sous-ensemble si le masque de sélection est différent de '*.*'). Il s'agit par contre des fichiers sélectionnés dès lors que l'utilisateur a commencé ses opérations de sélection.

Sur la droite se trouve une case à cocher intitulée 'Garder ouvert'. Si vous ne cochez pas cette case, MacImage referme automatiquement la fenêtre lorsque les opérations de copie que vous avez demandées sont achevées. Il convient donc de la cocher si vous souhaitez sélectionner un autre ensemble de fichiers à copier, etc.

Enfin, quatre boutons sont proposés pour commander la sélection et la copie des données.

Dans la zone d'édition 'Masque', frappez '*.DOC' et validez. MacImage affiche dans la liste les noms des fichiers correspondant à cette sélection. Vous pourriez cliquer sur le bouton 'Copier tout' pour copier tous les fichiers '*.DOC'.
Vous pouvez contrôler la longueur totale des fichiers sélectionnés dans la zone d'information au-dessous de la liste des fichiers.
Cliquez sur le bouton 'Copier la sélection' ou 'Copier tout', suivant le cas. MacImage exécute l'instruction et affiche le nouveau contenu du répertoire courant de la partition Macintosh.


À propos de MacImage...

Cette fenêtre classique affiche la version exacte du programme ainsi que le numéro de série (que vous pouvez modifier en appelant la fenêtre de Saisie du numéro de série)

Au-dessous se trouvent nos coordonnées ainsi que deux boutons destinés à vous permettre de nous adresser un courrier électronique et à visiter les pages de notre Site Internet consacrées à l'assistance technique.


HFS ou HFS+ ?

Introduction
Sur le Macintosh, les CD-ROM sont des volumes magnétiques comme les autres. Les premiers CD-ROM ont donc été formatés comme des Disques HFS.
Avec l'apparition des disques modernes de très grande taille, il a été nécessaire de créer un autre système de fichiers, appelé HFS+, ou encore Sequoia (nom de code au cours de la période de développement). La terminologie officielle d'Apple est désormais 'Mac OS Étendu'.

Pourquoi choisir ?
Le format HFS+ a été lancé avec Mac OS 8.1 afin de permettre une meilleure gestion des gros disques modernes. La restriction principale du système HFS est qu'il ne peut gérer que 65 535 blocs d'allocation. La taille totale du disque doit donc être divisée par ce nombre pour déterminer la taille des blocs d'allocation.
Dans le cas de blocs de 32 Ko, par exemple, la place perdue en moyenne et par fichier est de 16 Ko. Elle peut être encore supérieure si les fichiers sont en moyenne de plus petite taille (ce qui est le cas lorsque, par exemple, on place un site Web sur un disque).
À l'inverse, le format HFS+ n'impose pas de limites au nombre et à la taille des blocs d'allocation. Sur les disques magnétiques, on utilise des blocs de 4, de 6 ou de 8 Ko.

Blocs d'allocation sur un CD-ROM
Pratiquement, dans le cas d'un CD-ROM hybride, l'allocation de l'espace sur le disque doit se faire en s'alignant sur le système de fichiers le moins économique. Comme le système de fichiers ISO 9660 ne connaît que le secteur de 2048 octets, c'est la taille minimale des blocs d'allocation (le système de fichiers HFS permettrait théoriquement d'accéder à des secteurs logiques de 512 octets dans les secteurs physiques de 2048 octets).
Les blocs de 2048 octets sont utilisés jusqu'à 130 Mo. Ils passent à 4096 octets jusqu'à 260 Mo. Il faut ensuite 6144 octets jusqu'à 400 Mo, puis 8192 octets jusqu'à 530 Mo, et enfin 10 240 octets au-delà.
Par exemple, un projet de 7000 fichiers environ, totalisant 180 Mo, donnera un CD-ROM de 190 Mo. De la même manière, un projet de 15000 fichiers environ, totalisant 436 Mo, donnera un CD-ROM de 492 Mo. La différence peut devenir importante.
Avec le système HFS+, il est possible de gérer entièrement un CD-ROM avec des blocs d'allocation de 2048 octets, jusqu'à la taille maximale théorique de 650 Mo.

Longueur des noms de fichiers
Le format HFS limite les noms de fichiers à 31 caractères. La limite du format HFS+ est portée à 255 caractères, même si MacImage, pour des raisons de compatibilité, les limite à 64 caractères, ce qui correspond d'ailleurs à la taille maximale des noms de fichiers dans le format Joliet.

Inconvénients du format HFS+
Face à des avantages aussi manifestes, pourquoi ne pas toujours choisir le format HFS+ pour les CD-ROM hybrides ?
La réponse a été donnée ci-dessus. Le format HFS+ est relativement récent, et on sait que les Macintosh vivent vieux. De ce fait, on ne peut pas réellement exclure que, dans le public potentiel d'un CD-ROM, il existe des utilisateurs qui ne pourront pas accéder au CD-ROM que vous allez graver.
Notez bien que cet argument perd de sa valeur jour après jour...
Sous Mac OS X, tous les logiciels de gravure utilisent d'ailleurs le format HFS+ par défaut.

Format par défaut de MacImage
MacImage utilise donc le format HFS par défaut, pour les raisons qui précèdent.
Cependant, il est possible de sélectionner le format HFS+ par défaut dans la rubrique Préférences du Menu Options.
Les projets existants peuvent également être basculés entre HFS et HFS+ (et inversement).


Modifier le chemin d'accès

La rubrique 'Modifier chemin d'accès', dans le Menu Spécial, vous permet de répondre à une situation fréquente, celle où toute une arborescence de fichiers et de dossiers a été déplacée, d'un disque à un autre ou encore d'un niveau à un autre dans une arborescence.
Par exemple, tous les fichiers qui étaient placés sous 'C:\Mes documents\Projet CD' se trouvent désormais sous 'D:\Projet CD'.
Dans ce cas, la recherche individuelle des fichiers/dossiers (voir ci-dessus) ne convient évidemment pas.
Lorsque vous appelez cette fonction, MacImage affiche la fenêtre de dialogue suivante :

Spécifiez le chemin d'origine, ainsi que le chemin de destination. Lancez l'opération pour remplacer.
Attention, cette fonction est puissante, mais aussi potentiellement destructrice.


Préférences générales

Cette boîte vous offre deux options qui intéressent le comportement général du programme.

Si le mode Projet (mode par défaut) est le mode le plus fréquemment utilisé, il est possible que vous ayez à en utiliser un autre et que vous préfériez que le programme se charge automatiquement dans ce mode. C'est la raison d'être de cette première option.

Les noms de fichiers trop longs, que ce soit dans la vue ISO ou dans la vue HFS/HFS+, peuvent être tronqués automatiquement. Cela vous permet de ne pas être importuné par la boîte de dialogue vous demandant de le faire manuellement.

Voir aussi :

  • Préférences en mode Projet
  • Préférences en mode Partition
  • Préférences en mode ISO+


Préférences en mode Partition

Cette fenêtre intéresse quelques options du mode Partition.

Par défaut, MacImage n'affiche pas les fichiers cachés. Vous pouvez cependant préférer que l'on ne vous cache rien.

Par défaut, MacImage demande confirmation pour toutes les suppressions de fichiers et de dossiers. Cette demande de confirmation peut être lassante à la longue et vous pouvez préférer que l'on ne vous demande rien.

Enfin, le dernier ensemble concerne le mode de dénomination des fichiers lors de la copie de la partition Macintosh vers le disque dur du PC. Les énoncés sont assez clairs et ne méritent pas de commentaires supplémentaires.

Voir aussi :

  • Préférences générales
  • Préférences en mode Projet
  • Préférences en mode ISO+


Préférences

Introduction
Cette fenêtre de dialogue regroupe les préférences (choix de l'utilisateur) pour tous les modes de fonctionnement :

  • Préférences générales
  • Préférences en mode Projet
  • Préférences en mode Partition
  • Préférences en mode ISO+

Voir également :
Paramètres des colonnes d'affichage.


Recherche/Remplacement de signatures

Introduction
La fonction de recherche/remplacement de signatures, lancée depuis le Menu Fichier, permet de corriger les signatures de fichiers déjà inclus dans un projet.
Par exemple, vous aviez choisi d'ouvrir les fichiers HTML avec le navigateur Netscape et vous décidez d'utiliser plutôt le navigateur Microsoft.

Une consultation de la page des signatures Macintosh peut vous aider à trouver la signature voulue. Attention aux minuscules et aux majuscules, qui ne sont pas traitées comme équivalentes.

Voir également la fonction de Recherche par la signature ainsi que la fonction de recherche de signatures génériques.


Postgap

L'amorce de fin (postgap) est une série de 150 secteurs vides (2 secondes) qui doit se trouver à la fin d'une piste selon les normes définissant le format des CD-ROM de données. Certains logiciels de gravure ajoutent cette amorce sans rien dire, d'autres ne le font pas.
Nous n'avons encore jamais vu de CD-ROM qui ne fonctionne pas pour cette simple et unique raison, mais on nous a rapporté que certains ateliers de duplication et de pressage peuvent formuler des réserves dans le cas de CD-ROM ne comportant pas cette amorce.
L'option d'ajout de l'amorce de fin est donc cochée par défaut. La longueur de cette amorce ne devrait jamais constituer un problème.
Ne décochez donc cette option dans la Fenêtre de lancement de la compilation que si vous êtes certain de ce que vous faites.


Colonnes d'affichage

Cette fenêtre affiche les colonnes dont se compose le volet d'affichage de droite. Elle offre des cases à cocher pour les colonnes qui doivent ou non être affichées.
Vous pouvez décocher celles qui ne vous intéressent pas.
Ces valeurs sont sauvegardées dans le Registre de Windows entre les sessions de travail.

Certaines des colonnes ne peuvent pas être supprimées (colonne du nom du fichier, par exemple).
Le bouton 'Défaut' rétablit l'affichage par défaut (ainsi que les largeurs par défaut).
Notez que vous pouvez également choisir d'afficher ou de cacher le volet d'exploration (volet de gauche).


Compilation du projet hybride

Cette fenêtre, appelée après la saisie du nom du fichier devant contenir la future image de CD-ROM, affiche toutes les caractéristiques du projet que vous allez compiler :

Cadre supérieur :

  • Nom du fichier PC qui contiendra l'image ISO/HFS
  • Taille totale de la future image
  • Nombre des dossiers inclus
  • Nombre des fichiers inclus
  • Addition d'une amorce de fin
  • Rafraîchissement du projet. Voir notre page sur la Mise à jour des projets.

Cadre central :

  • Label de l'image ISO (que vous pouvez éditer). Le programme affiche par défaut le nom donné au fichier contenant l'image (voir ci-dessus), après avoir supprimé l'extension.
  • Nombre des dossiers inclus
  • Nombre des fichiers inclus
  • Bouton pour la saisie des Chaînes de description du volume ISO

Cadre inférieur :

  • Label de l'image HFS (que vous pouvez éditer)
  • Nombre des dossiers inclus
  • Nombre des fichiers inclus
  • Bouton de lancement d'une Recherche des signatures génériques

Vous pouvez éditer les deux labels de volume. Ces deux labels ne sont pas nécessairement identiques (la partition ISO et la partition HFS peuvent porter des noms différents même si elles renferment des fichiers identiques).


Compilation du projet ISO+

Cette fenêtre, appelée après la saisie du nom du fichier devant contenir la future image de CD-ROM, affiche toutes les caractéristiques du projet que vous allez compiler, à savoir :

  • Nom du fichier PC qui contiendra l'image ISO
  • Taille totale de la future image
  • Label ISO (que vous pouvez éditer). Le programme affiche par défaut le nom donné au fichier contenant l'image (voir ci-dessus), après avoir supprimé l'extension.
  • Nombre des dossiers inclus
  • Nombre des fichiers inclus
  • Addition d'une amorce de fin
  • Rafraîchissement du projet. Voir notre page sur la Mise à jour des projets.
  • Bouton de lancement d'une Recherche des signatures génériques

La plupart du temps, il suffit d'accepter les options par défaut et de lancer la compilation.


Contrôle des alias et des signatures

Lorsque vous lancez la compilation de l'image du CD-ROM (dans la fenêtre de lancement), ou lorsque vous le demandez dans le Menu Spécial, le programme vous propose de contrôler les alias et les signatures génériques, qui peuvent poser des problèmes dans l'utilisation du futur CD-ROM sur un Macintosh.

Pourquoi contrôler les alias ?
Les alias jouent sur le Macintosh le même rôle que les raccourcis sous Windows. Ce sont donc des icônes qui peuvent être placées dans le dossier-racine mais pointent en fait vers un fichier ou un programme placé beaucoup plus profondément dans l'arborescence du disque.
De ce fait, il peut être utile de vérifier que les liens sont toujours corrects et que vous n'avez pas d'alias pointant vers le vide.
Vous pouvez également choisir de supprimer tous les alias.

Pourquoi contrôler les signatures génériques ?
Les signatures génériques sont des signatures où le type de fichier est correct, mais où le créateur est resté indéterminé. Par exemple, un fichier Tif peut porter la signature 'TIFF????' où la première partie identifie correctement le contenu mais où la seconde est générique, ce qui fait que le fichier n'est pas lié à un programme déterminé, comme Photoshop ou un autre.
Le fichier se comportera normalement lorsqu'il est ouvert par un programme (que ce soit un programme graphique sachant traiter ces données ou un navigateur Web, par exemple), mais il ne sera pas ouvert par un double clic sur l'icône (qui reste, elle aussi, une icône générique, à savoir la feuille de papier à coin corné).
Vous pouvez souhaiter corriger cet aspect et, par exemple, lier votre fichier Tif à Photoshop en lui donnant la signature 'TIFF8BIM'.
D'un autre côté, dans le cas de code HTML, seul le nom des fichiers est utilisé, et la signature ne joue aucun rôle (sauf naturellement pour le premier fichier, par exemple index.htm(l)).

Pour aller plus loin :

  • Voir notre page sur les Signatures, avec des informations complémentaires et quelques liens vers des sites Internet,
  • Voir l'aide de SignEdit, l'éditeur de la table de signatures interne, afin de la modifier en fonction de vos besoins.


Fenêtre d'édition des alias

Cette grande fenêtre affiche d'abord le chemin d'accès complet au fichier d'application. Si la chaîne est vraiment longue, nous sommes obligés de la tronquer et de n'afficher que les 100 premiers et les 100 derniers caractères. Ensuite, le programme affiche le nom du fichier visé, le nom du dossier qui le contient (ou plus précisément qui le contenait au moment de la création de l'alias) et le nom du volume.
Deux boutons de commande permettent de lancer une recherche du fichier et de son dossier.
Le programme cherche alors à retrouver ces éléments et vous les présente. De la même manière, un bouton 'Aligner' complète la zone d'affichage du nom du volume. Si vous cliquez dessus, le programme prend le nom du volume courant et le met à la place.

Nous avons bien conscience que cette fonction, utile, est encore un peu rudimentaire. Nous aimerions avoir des retours d'information de nos utilisateurs afin de définir la direction dans laquelle il faut aller pour en faire une fonction plus utile.


Redimensionnement des partitions

Cette fenêtre affiche le nom du volume et sa taille actuelle. Au-dessous, aux deux extrémités du curseur, sont indiquées la taille minimale et la taille maximale de la partition virtuelle.
En fonction des paramètres que vous avez sélectionnés lors de la création de la partition, votre marge de manœuvre est plus ou moins grande.
Agissez sur le curseur pour choisir la nouvelle taille de la partition, puis validez en cliquant sur le bouton 'Redimensionnement' ou abandonnez sans rien faire en cliquant sur le bouton 'Abandon'.

Retour à la page « Comment faire... ».


Informations sur le projet ISO+

Cette fenêtre affiche un certain nombre d'informations sur le projet courant, à savoir le nombre total de fichiers et de dossiers inclus dans le fichier, etc. Cela vous permet de savoir où vous en êtes dans la production de votre projet de CD-ROM ISO 9660 avec Extensions Apple.

Notez bien, cependant, que la taille cumulée des fichiers est purement indicative et ne correspond pas à la taille du futur CD-ROM, étant donné que l'espace occupé sur un volume réel dépend également de la taille des unités d'allocation. Un bouton est prévu pour calculer la taille réelle du CD-ROM.


Informations sur le projet

Cette fenêtre affiche un certain nombre d'informations sur le projet courant, à savoir le nombre total de fichiers et de dossiers inclus dans le fichier, le nombre de fichiers et de dossiers dans chacune des vues (vue ISO et vue HFS). Cela vous permet de savoir où vous en êtes dans la production de votre projet de CD-ROM hybride (HFS/ISO 9660).

Notez bien, cependant, que si la taille cumulée des fichiers tient compte de l'espace normalement perdu dans le dernier secteur d'un fichier (qui n'est généralement pas occupé totalement), cela ne correspond pas encore à la taille du futur CD-ROM.
Dans le cas d'un volume hybride HFS/ISO, le système de fichiers HFS ne peut adresser plus d'environ 65000 unités d'allocation. À partir d'une certaine taille de volume, il est donc nécessaire d'augmenter la taille des unités d'allocation, ce qui augmente en conséquence la place perdue à la fin de chacun des fichiers.
Un bouton 'Calculer' est prévu pour calculer la taille réelle du CD-ROM.
Cette fonction est inhibée dans le cas d'un volume hybride HFS+/ISO (voir également ci-dessous), parce que le système HFS+, sur un CD-ROM, utilise toujours le secteur physique de 2048 octets comme unité d'allocation.

Deux autres options proposées dans le cadre 'Vue HFS' méritent quelques commentaires :

  • Mac OS Étendu (HFS+)
  • Icône personnalisée

Mac OS Étendu (HFS+)
Sur le Macintosh, les CD-ROM sont des volumes magnétiques comme les autres. Les premiers CD-ROM ont donc été formatés comme des Disques HFS.
Avec l'apparition des disques modernes de très grande taille, il a été nécessaire de créer un autre système de fichiers, appelé HFS+, ou encore Sequoia (nom de code au cours de la période de développement). La terminologie officielle d'Apple est désormais 'Mac OS Étendu'.
Voir la page consacrée au basculement d'un projet entre les deux formats. Voir également notre page HFS ou HFS+ ? pour plus d'informations.

Icône personnalisée
Il est possible, sur le Macintosh (comme sous Windows, d'ailleurs) d'attribuer une icône personnalisée à un volume, à un dossier ou encore à un fichier.
Voir notre page Icônes personnalisées pour plus d'informations, ainsi que l'aide de WinComposer à propos de l'outil d'édition/composition d'icônes à utiliser.


Fenêtres de dialogue de MacDisk

Fenêtres de dialogue de MacImage

Chaque fois que l'utilisateur doit intervenir, pour fournir un renseignement, ou spécifier une commande, MacImage affiche une fenêtre. Ces fenêtres sont généralement simples à utiliser, mais elles offrent toutes cependant, pour rafraîchir la mémoire ou encore fournir une précision, une fonction d'aide contextuelle.

Cette aide contextuelle est accessible de deux manières. D'abord, en cliquant sur le bouton marqué d'un point d'interrogation dans le coin supérieur droit de la fenêtre :

Le curseur se transforme alors en point d'interrogation. Cliquez n'importe où dans la boîte pour afficher une aide qui vous rappelle l'objectif de la boîte et ce que le programme attend de vous, comme dans l'illustration ci-dessous :

Ce type d'aide est extrêmement commode, mais présente l'inconvénient de se refermer dès que l'utilisateur clique dans la zone de texte. Il est donc impossible d'appeler des écrans complémentaires, des explications, etc.

C'est la raison pour laquelle l'aide contextuelle peut également être appelée en cliquant sur l'icône du programme, qui est toujours présente dans ces boîtes :

Cette fois, le programme appelle le fichier d'aide normalement, en affichant une page plus détaillée, ce qui vous permet d'aller plus loin dans votre recherche d'explications.


Informations sur la partition

Cette fenêtre affiche un certain nombre d'informations techniques sur la partition Macintosh courante. Ces données sont purement informatives et cette fenêtre n'appelle pas de réponse de l'utilisateur.
Ces éléments peuvent cependant être utiles pour tirer au clair certaines difficultés de fonctionnement.

Retour à la page « Comment faire... ».


Modes de copie des fichiers

Les trois modes de copie
MacImage, en Mode Partition, offre trois modes de copie :

  • Mode normal (copie des données)
  • Copie des ressources
  • Copie binaire (mode MacBinary)

Mode normal (copie des données)
C'est le mode par défaut. A chaque fois que le programme est relancé, il se place dans ce mode, qui correspond à l'usage le plus fréquent du programme. Vous ne devez quitter ce mode de travail que si vous êtes absolument sûr de ce que vous faites.

Copie des ressources
Il peut arriver que l'on souhaite copier uniquement la branche de ressources (par exemple, pour récupérer des polices de caractères ou des icônes).

Copie binaire (Mode MacBinary)
Lorsque le fichier stocké dans une image Macintosh doit être transféré sur un serveur, par exemple, il peut être souhaitable de le copier dans ce mode, où tous les éléments constitutifs sont placés dans un conteneur unique.
Il en va de même si vous voulez replacer un programme dans un autre projet en conservant ses deux branches.


Propriétés des fichiers ou dossiers

Par opposition à la grande fenêtre des propriétés qui est utilisée en cas de sélection d'un unique fichier ou dossier, cette fenêtre est appelée en cas de sélection multiple (plusieurs fichiers ou dossiers). Dans ce cas, le programme n'affiche que la signature si elle est commune, le code d'inclusion dans la vue ISO et dans la vue HFS, ainsi que le code des fichiers/dossiers cachés. Il est possible de modifier ces codes, qui s'appliquent alors à tous les éléments sélectionnés.
Cette modification peut avoir des effets secondaires. Dans le cas d'un fichier ou d'un dossier qui n'était pas inclus dans une vue et que vous décidez d'inclure, le programme rétablit la continuité du chemin d'accès jusqu'à cet élément. Par opposition, le fait de supprimer le code d'inclusion d'un dossier entraîne la suppression du code d'inclusion pour tous les éléments de niveau inférieur (fichiers ou dossiers).
Cette fenêtre n'affiche la signature que si c'est la même pour tous les fichiers sélectionnés. Dans tous les cas, vous pouvez spécifier la signature à utiliser. Attention, cela peut avoir des conséquences profondes sur la viabilité du CD-ROM. Attention donc à ce que vous faites !

Retour à la page « Comment faire... ».


Propriétés d'un fichier ou dossier

Cette fenêtre affiche tous les éléments constitutifs du fichier ou du dossier sélectionné dans la vue ISO et dans la vue HFS (nom dans chacune des vues, code d'inclusion, longueur, etc.), ce qui n'est pas le cas si plusieurs fichiers ou dossiers ont été sélectionnés, puisque le programme affiche dans ce cas une fenêtre simplifiée. Il est possible de modifier tous les éléments affichés sur fond blanc, ainsi que les codes d'inclusion.
Cette modification peut avoir des effets secondaires. Dans le cas d'un fichier ou d'un dossier qui n'était pas inclus dans une vue et que vous décidez d'inclure, le programme rétablit la continuité du chemin d'accès jusqu'à cet élément. Par opposition, le fait de supprimer le code d'inclusion d'un dossier entraîne la suppression du code d'inclusion pour tous les éléments de niveau inférieur (fichiers ou dossiers).
Vous pouvez également sélectionner dans cette fenêtre le fichier qui servira à la fonction de démarrage automatique sur le Macintosh.

Retour à la page « Comment faire... ».


Création d'une nouvelle partition virtuelle

Cette fenêtre vous permet de saisir le nom du futur volume Macintosh (à ne pas confondre avec le nom du fichier PC qui le contient) et sa taille.
Plusieurs méthodes sont proposées pour spécifier la taille. Vous pouvez simplement taper la valeur dans la zone d'édition. Vous pouvez éventuellement corriger finement à l'aide des deux petits boutons d'incrémentation/décrémentation. Enfin, un curseur vous permet de fixer rapidement la taille voulue.
Au-dessous, vous pouvez choisir deux options de création. La première favorise les possibilités d'extension et de réduction de la partition virtuelle, tandis que la seconde assure un stockage optimal des données. Si vous ne pensez jamais avoir à redimensionner la partition, et si vous stockez de très nombreux petits fichiers, la seconde option est celle qu'il vous faut.
Vous pouvez enfin choisir de remplir la partition de zéros ou non. Il est préférable de le faire si vous avez des données sensibles ou confidentielles sur votre disque dur. En effet, le fichier créé sur le volume MS-DOS contient par défaut ce qu'il y avait à cet endroit (contenu des fichiers antérieurs qui s'y trouvaient et qui ont été supprimés).

Voir aussi Création d'un CD-ROM HFS.

Retour à la page « Comment faire... ».


Netscape Navigator

Intitulé
Texte.

Retour à la page « Comment faire... ».


Propriétés des fichiers ou dossiers

Par opposition à la fenêtre d'affichage des propriétés qui est utilisée par le programme en cas de sélection d'un unique fichier ou dossier, cette fenêtre est appelée en cas de sélection multiple (plusieurs fichiers ou dossiers).
Dans ce cas, le programme n'affiche que la signature des fichiers (si elle est unique). Vous pouvez spécifier la signature à attribuer à tous les fichiers sélectionnés.
Attention, cela peut avoir des conséquences profondes sur la viabilité du CD-ROM. Attention donc à ce que vous faites !

Retour à la page « Comment faire... ».


Propriétés d'un fichier ou dossier

Cette fenêtre affiche tous les éléments constitutifs du fichier ou du dossier sélectionné dans le projet de CD-ROM ISO 9660 avec Extensions Apple. Il est possible de modifier tous les éléments affichés sur fond blanc.
En particulier, vous pouvez éditer la signature que le fichier portera sur le CD-ROM (signature placée dans les extensions Apple).

Retour à la page « Comment faire... ».


Fichier de signatures dans le Registre

Cette fenêtre affiche le contenu de la clef du Registre utilisée pour sauvegarder entre les sessions de travail le fichier de signatures à utiliser.
La première ligne affiche la définition de la clef, la seconde le contenu actuel de la clef et la troisième est utilisée pour spécifier un nouveau fichier (sélectionné en cliquant sur le bouton 'Parcourir' se trouvant sur la droite.


Troncation des noms de fichiers HFS/HFS+

Cette fenêtre est affichée lorsque le nom du fichier inclus dans la vue HFS dépasse la limite imposée par le système de fichiers du Macintosh, à savoir 31 caractères dans le mode de formatage HFS et 64 caractères (limite de MacImage) pour le mode de formatage HFS+.

Le programme calcule lui-même un nom raccourci (en conservant l'extension) et affiche cette proposition dans la zone d'édition, où vous pouvez intervenir.
Une case à cocher est prévue pour vous permettre de laisser le programme tronquer lui-même les noms de fichiers sans vous demander à chaque fois.
Si vous annulez l'opération, étant donné que la longueur du nom de fichier empêcherait de créer un système de fichiers correct syntaxiquement, le fichier n'est pas inclus dans la vue HFS de votre projet.


Label du projet ISO+

Cette fenêtre affiche le label du projet. Vous êtes libre de l'éditer à votre guise.


Troncation des noms de fichiers ISO/Joliet

Cette fenêtre est affichée lorsque le nom du fichier inclus dans la vue ISO dépasse la limite imposée par l'extension Joliet à la norme ISO, à savoir 64 caractères, moins la chaîne de version ';1' qui n'est jamais affichée, soit 62 caractères.

Le programme calcule lui-même un nom raccourci (en conservant l'extension) et affiche cette proposition dans la zone d'édition, où vous pouvez intervenir.
Une case à cocher est prévue pour vous permettre de laisser le programme tronquer lui-même les noms de fichiers, en appliquant les mêmes principes, sans vous demander à chaque fois.
Si vous annulez l'opération, étant donné que la longueur du nom de fichier empêcherait de créer un système de fichiers correct syntaxiquement, le fichier n'est pas inclus dans la vue ISO de votre projet.


Labels des deux vues du projet

Cette fenêtre affiche les labels actuels des deux vues (Vue ISO et Vue HFS).
Vous pouvez éditer les deux chaînes de caractères indépendamment l'une de l'autre.

Comme le label de la vue HFS est généralement le même que celui de la vue ISO, tout ce que vous tapez dans la zone d'édition du premier est recopié dans celle du second.


Edition des signatures génériques

Cette fenêtre affiche la signature générique du fichier et vous permet d'en saisir une nouvelle, plus spécifique.
Il vous est possible de choisir d'ignorer ce fichier, d'ignorer tous les fichiers (abandon de l'opération), de modifier le fichier courant et de modifier tous les fichiers (il y a souvent des séries de fichiers pour lesquels la modification peut être lancée globalement).
Les signatures génériques sont les signatures attribuées aux fichiers que le programme ne connaît pas. S'il s'agit d'un fichier de texte, ce n'est pas grave, mais s'il s'agit d'un fichier de données spécifiques, comme un fichier graphique, il est préférable qu'il dispose d'une bonne signature pour que les utilisateurs, sur le Macintosh, puissent ouvrir le fichier par un double clic sur l'icône, comme ils s'attendent à le faire.

Retour à la page « Comment faire... ».


MacMail

Généralités
MacMail est un programme destiné à faciliter le traitement des fichiers Macintosh reçus par le courrier électronique (pièces jointes) ainsi que l'identification des fichiers Macintosh dont le nom n'indique pas le contenu.
Avec le développement du courrier électronique, les transferts de fichiers entre Macintosh et PC passent de moins en moins par des supports physiques, hormis le cas des fichiers graphiques (et autres) très lourds, pour lesquels on utilise encore fréquemment le CD-ROM ou d'autres types de supports amovibles.
La difficulté fréquemment rencontrée est que les fichiers ainsi transmis peuvent être codés ou conteneurisés (voir notre page d'informations techniques). De plus, les logiciels de courrier tournant sur Macintosh utilisent souvent par défaut des méthodes de codage qui sont peu ou mal connues sur le PC, comme BinHex, MacBinary ou encore AppleSingle et AppleDouble (cf. notre page sur les pièces jointes). Même lorsque les fichiers sont de simples fichiers de données, ils ne sont généralement pas identifiés par une extension (comme *.DOC pour un fichier Word, etc.).
Enfin et surtout, les polices Macintosh sont des fichiers un peu spéciaux qui ne sont pas bien traités dans les procédures par défaut.
L'objectif de MacMail est de résoudre certains de ces problèmes.

Pour en savoir plus :

  • MacMail - Interface utilisateur
  • MacMail - Mode Manuel
  • MacMail - Mode Automatique


MacMail - Mode Automatique

En mode automatique, le programme surveille un répertoire de l'ordinateur (par exemple, le répertoire dans lequel votre logiciel de courrier dépose les pièces jointes, comme le répertoire 'attach' dans le cas du programme Eudora). Dès qu'un fichier est créé dans ce répertoire, le programme en est informé et il place le nom du fichier dans la liste de gauche.
Le répertoire surveillé est sauvegardé dans le registre, afin d'éviter que l'utilisateur n'ait à le sélectionner à nouveau à chaque session. Le lancement de la surveillance s'effectue en cliquant sur le bouton « Surveiller ».
Lorsque le programme fonctionne dans ce mode, il est possible de réduire sa fenêtre (bouton « Arrière-plan ») afin de dégager l'écran pour travailler dans un autre programme. Dans ce cas, le programme signale la réception d'un fichier en faisant clignoter son bouton dans la barre des tâches.
Il revient alors à l'utilisateur d'examiner la nature du fichier et de décider du traitement à lui appliquer (voir les développements consacrés au Traitement des fichiers).

Pour en savoir plus :

  • MacMail - Page principale
  • MacMail - Interface utilisateur
  • MacMail - Mode Manuel


MacMail - Mode Manuel

En mode de fonctionnement manuel, l'utilisateur sélectionne lui-même des fichiers (voir le bouton « Sélectionner fichiers »), qui sont ensuite affichés dans la liste de gauche. La nature de chacun des fichiers sélectionnés (lorsque la barre en inversion vidéo est sur le nom du fichier) est affichée dans la zone « Caractéristiques du fichier sélectionné ». En fonction de la nature du fichier, plusieurs options sont proposées au-dessous, dans la zone appelée « Sélection du mode de traitement ».
- Si le fichier est de type BinHex, MacBinary, ou encore AppleSingle ou AppleDouble, vous pouvez en extraire la branche de données, la branche de ressources ou encore les deux. Voir notre page sur les branches des fichiers Macintosh pour plus d'informations. Vous pouvez également convertir le fichier en MacBinary.
- Si le fichier est déjà de type MacBinary, seules les options d'extraction de l'une ou l'autre branche sont proposées.
- Si le fichier est une police, MacMail la reconnaît et vous propose de la convertir.
- Dans le cas de certains fichiers de texte, MacMail propose une conversion en RTF.
- Dans les autres cas (à savoir ceux de simples fichiers de données, où le problème [qui peut devenir très gênant] est qu'ils ne sont pas identifiés par une extension correcte), MacMail propose d'ajouter une extension au nom du fichier.

Voir la page sur les Traitements des fichiers pour plus d'informations sur chacune de ces options.

Pour en savoir plus :

  • MacMail - Page principale
  • MacMail - Interface utilisateur
  • MacMail - Mode Automatique


Traitement des fichiers

Extraction du contenu du fichier
Les fichiers Macintosh comportent deux branches. Vous pouvez demander l'extraction de la branche de données, de la branche de ressources, ou encore des deux. Dans la plupart des cas, l'option par défaut (branche de données) correspond à ce dont vous avez besoin, à savoir récupérer le contenu d'un fichier que l'on vous a adressé. Les autres options intéresseront les spécialistes.

Conversion en fichier MacBinary
La conversion en fichier MacBinary peut être utile, par exemple, pour replacer sur un support Macintosh, avec MacDisk ou MacImage, un fichier que vous avez reçu sur un PC au format BinHex.

Conversion de la police
Si MacMail a constaté que le fichier sélectionné était une police de caractères (une police True Type, Type 1 [PostScript] ou Open Type), il vous propose de convertir cette police au format utilisé sur le PC. Le résultat est correct pour les fichiers de polices qui sont correctement codés. Ce n'est malheureusement pas toujours le cas. Il faut alors essayer d'ouvrir la police dans un éditeur de polices pour changer le codage et réenregistrer le fichier.
Si MacMail ne vous propose pas de convertir un fichier dont vous pensez que c'est une police, il s'agit probablement d'une police d'affichage à l'écran, qui ne peut servir à rien sur le PC.

Conversion en RTF
Dans le cas de fichiers de texte d'origine Macintosh qui ne sont pas gérés par les programmes de traitement de texte qui existent sur le PC, MacMail vous propose de les convertir en RTF. Vous pourrez ensuite les ouvrir dans Word ou dans un autre programme pour les exploiter.

Ajout d'une extension
Lorsque vous avez reçu un fichier (par exemple un fichier Word Macintosh), l'absence d'extension "*.DOC" empêche Windows de lancer Word lorsque vous cliquez sur l'icône du fichier. Il est toujours possible de lancer d'abord l'application, puis d'ouvrir le fichier en passant par le menu Fichier puis l'option Ouvrir. Cela suppose que vous connaissiez la nature des fichiers que vous avez reçus, ce qui n'est naturellement pas toujours possible, ou pas toujours pratique.
MacMail est en mesure d'identifier un très grand nombre de fichiers (Word, Excel, RTF, Xpress, TIFF, EPS, Claris/Apple Works, GIF, JPEG, PNG, FIlemaker Pro, etc.).
Si vous rencontrez un type de fichier courant que MacMail ne reconnaît pas, veuillez nous en adresser une copie afin que nous intégrions son traitement dans le programme. Merci d'avance.


MacMail - Interface utilisateur

MacMail propose deux modes de fonctionnement :
En mode manuel, l'utilisateur sélectionne les fichiers et leur traitement (voir les boutons radio offrant différentes options, dans le coin inférieur droit de l'écran).
En mode automatique, le programme surveille un répertoire (ou dossier) (par exemple, le répertoire dans lequel votre logiciel de courrier place les pièces jointes) et signale les fichiers créés dans ce répertoire. Voir les éléments d'information affichés dans le coin inférieur gauche de la copie d'écran ci-dessus.

Pour en savoir plus :

  • MacMail - Page principale
  • MacMail - Mode Manuel
  • MacMail - Mode Automatique